Index: /extensions/GrumPluginClasses/classes/GPCRequestBuilder.class.inc.php
===================================================================
--- /extensions/GrumPluginClasses/classes/GPCRequestBuilder.class.inc.php	(revision 7311)
+++ /extensions/GrumPluginClasses/classes/GPCRequestBuilder.class.inc.php	(revision 7312)
@@ -509,10 +509,11 @@
   static public function executeRequest($ajaxfct)
   {
+    $result='';
     switch($ajaxfct)
     {
-      case 'admin.rbuilder.searchExecute':
+      case 'public.rbuilder.searchExecute':
         $result=self::doCache();
         break;
-      case 'admin.rbuilder.searchGetPage':
+      case 'public.rbuilder.searchGetPage':
         $result=self::getPage($_REQUEST['requestNumber'], $_REQUEST['page'], $_REQUEST['numPerPage']);
         break;
Index: /extensions/GrumPluginClasses/gpc_ajax.php
===================================================================
--- /extensions/GrumPluginClasses/gpc_ajax.php	(revision 7311)
+++ /extensions/GrumPluginClasses/gpc_ajax.php	(revision 7312)
@@ -74,6 +74,6 @@
       if(!(
            $_REQUEST['ajaxfct']=='admin.rbuilder.fillCaddie' or
-           $_REQUEST['ajaxfct']=='admin.rbuilder.searchExecute' or
-           $_REQUEST['ajaxfct']=='admin.rbuilder.searchGetPage' or
+           $_REQUEST['ajaxfct']=='public.rbuilder.searchExecute' or
+           $_REQUEST['ajaxfct']=='public.rbuilder.searchGetPage' or
            $_REQUEST['ajaxfct']=='admin.categorySelector.getList' or
            $_REQUEST['ajaxfct']=='public.categorySelector.getList'
@@ -99,7 +99,7 @@
 
         /*
-         * check admin.rbuilder.searchExecute values
+         * check public.rbuilder.searchExecute values
          */
-        if($_REQUEST['ajaxfct']=="admin.rbuilder.searchExecute")
+        if($_REQUEST['ajaxfct']=="public.rbuilder.searchExecute")
         {
           if(!isset($_REQUEST['requestName'])) $_REQUEST['ajaxfct']="";
@@ -107,7 +107,7 @@
 
         /*
-         * check admin.rbuilder.searchGetPage values
+         * check public.rbuilder.searchGetPage values
          */
-        if($_REQUEST['ajaxfct']=="admin.rbuilder.searchGetPage")
+        if($_REQUEST['ajaxfct']=="public.rbuilder.searchGetPage")
         {
            if(!isset($_REQUEST['requestNumber'])) $_REQUEST['ajaxfct']="";
@@ -165,9 +165,9 @@
           $result=$this->ajax_gpc_admin_rbuilderFillCaddie($_REQUEST['fillMode'], $_REQUEST['requestNumber']);
           break;
-        case 'admin.rbuilder.searchExecute':
-          $result=$this->ajax_gpc_admin_rbuilderSearchExecute();
-          break;
-        case 'admin.rbuilder.searchGetPage':
-          $result=$this->ajax_gpc_admin_rbuilderSearchGetPage();
+        case 'public.rbuilder.searchExecute':
+          $result=$this->ajax_gpc_public_rbuilderSearchExecute();
+          break;
+        case 'public.rbuilder.searchGetPage':
+          $result=$this->ajax_gpc_public_rbuilderSearchGetPage();
           break;
         case 'admin.categorySelector.getList':
@@ -298,5 +298,5 @@
      * @return String :
      */
-    private function ajax_gpc_admin_rbuilderSearchExecute()
+    private function ajax_gpc_public_rbuilderSearchExecute()
     {
       global $prefixeTable;
@@ -310,5 +310,5 @@
      * @return String :
      */
-    private function ajax_gpc_admin_rbuilderSearchGetPage()
+    private function ajax_gpc_public_rbuilderSearchGetPage()
     {
       global $prefixeTable;
Index: /extensions/GrumPluginClasses/js/criteriaBuilder.js
===================================================================
--- /extensions/GrumPluginClasses/js/criteriaBuilder.js	(revision 7311)
+++ /extensions/GrumPluginClasses/js/criteriaBuilder.js	(revision 7312)
@@ -559,5 +559,5 @@
   var sendRequest = function()
   {
-    datas=encodeURI('ajaxfct=admin.rbuilder.searchExecute&requestName='+itemsId.container+'&'+getItems());
+    datas=encodeURI('ajaxfct=public.rbuilder.searchExecute&requestName='+itemsId.container+'&'+getItems());
     $.ajax(
       {
@@ -590,5 +590,5 @@
         url: options.ajaxUrl,
         async: true,
-        data: {ajaxfct:'admin.rbuilder.searchGetPage', page:pageNumber, requestNumber:requestNumber, numPerPage:numberPerPage},
+        data: {ajaxfct:'public.rbuilder.searchGetPage', page:pageNumber, requestNumber:requestNumber, numPerPage:numberPerPage},
         success: function(msg)
           {
Index: /extensions/GrumPluginClasses/js/criteriaBuilder.packed.js
===================================================================
--- /extensions/GrumPluginClasses/js/criteriaBuilder.packed.js	(revision 7311)
+++ /extensions/GrumPluginClasses/js/criteriaBuilder.packed.js	(revision 7312)
@@ -1,2 +1,2 @@
 /* file: criteriaBuilder.packed.js - v1.1.0 | packed on 2010/10/13 with http://joliclic.free.fr/php/javascript-packer/ */
-eval(function(p,a,c,k,e,d){e=function(c){return(c<a?'':e(parseInt(c/a)))+((c=c%a)>35?String.fromCharCode(c+29):c.toString(36))};if(!''.replace(/^/,String)){while(c--){d[e(c)]=k[c]||e(c)}k=[function(e){return d[e]}];e=function(){return'\\w+'};c=1};while(c--){if(k[c]){p=p.replace(new RegExp('\\b'+e(c)+'\\b','g'),k[c])}}return p}('7 1A(l){e b={d:\'2u\',g:\'2t\',l:l,},c={d:0,g:0,},5={1I:\'2a\',1G:\'2d\',2s:\'\',1M:\'\',1N:\'\',1d:\'\',26:\'2r\',1f:0.8,L:f,M:f,Y:f,10:f,11:f,12:f,U:\'\',S:\'\',1n:\'\',},q=1y 1a();6(a.o==2){6(B a[1]==\'1e\'){5=u.23(5,a[1])}}n.2v=7(1K){2w(1K){v\'2z\':6(a.o==3){6(B a[1]==\'R\'){1H(a[1],a[2])}}t;v\'2q\':6(a.o==2){6(B a[1]==\'R\'){1w(a[1])}}t;v\'2x\':6(a.o==4){6(B a[1]==\'R\'&&B a[2]==\'R\'){1u(a[1],a[2],a[3])}}t;v\'2b\':x(1q());t;v\'1h\':6(a.o==2){x(1h(a[1]))}p{x(f)}t;v\'2n\':1C();t;v\'2i\':2e();t;v\'1o\':6(a.o==4){1o(a[1],a[2],a[3])}t;v\'1k\':6(a.o==2){x(1k(a[1]))}t}};e 17=7(m){c.d++;e h="<E k=\'"+b.d+c.d+"\' F=\'19 16 N "+5.1M+"\'>";h+="<1J></1J></E>";$(\'#\'+m).2k(h);h="<r F=\'Z\'>";h+="<r k=\'"+b.d+c.d+"J\' F=\'"+5.1d+"\' 1c=\'s:I;\'>"+5.1I+"</r>";h+="<r k=\'"+b.d+c.d+"H\' F=\'"+5.1d+"\' 1c=\'s:I;\'>"+5.1G+"</r>";h+="</r>";$("#"+b.d+c.d).2o(h);$(\'#\'+b.d+c.d+\'J\').X(\'13\',b.d+c.d,1l);$(\'#\'+b.d+c.d+\'H\').X(\'13\',b.d+c.d,1l);1g()};e 28=7(j){$(\'#\'+j).1s()};e 1H=7(1V,w){c.g++;e h="<E k=\'"+b.g+c.g+"\' F=\'Q 16 "+5.1N+"\'>";h+="<r F=\'2R\' 1c=\'2P:2O;\'>";6(5.U!=\'\'&&5.L!=f&&u.G(5.L))h+="<1O k=\'1P"+c.g+"\' 1U=\'"+5.U+"\'/>";6(5.S!=\'\'&&5.M!=f&&u.G(5.M))h+="<1O k=\'1W"+c.g+"\' 1U=\'"+5.S+"\'/>";h+="</r><r F=\'Z\'>"+1V+"</r></E>";$(\'#\'+b.l).2G(h);17(b.g+c.g);6(5.U!=\'\'&&5.L!=f){$(\'#1P\'+c.g).X(\'13\',b.g+c.g,5.L)}6(5.S!=\'\'&&5.M!=f){$(\'#1W\'+c.g).X(\'13\',b.g+c.g,5.M)}q[c.g]=w};e 1w=7(m){6($(\'#\'+m).o!=0){$(\'#\'+m).1s();z=/[0-9]*$/;q[1x(z.V(m)[0])]=f;1r()}};e 1u=7(m,h,w){6($(\'#\'+m).o!=0){$(\'#\'+m+\' .Z\').1X(h);z=/[0-9]*$/;q[1x(z.V(m)[0])]=w}};e 1C=7(){$(\'#\'+b.l).25();$(\'#\'+b.l).1X("");c.g=0;c.d=0;q=1y 1a()};e 1i=7(14,C){O=\'\';6(B C==\'1e\'){2c(e K 2L C){6(B C[K]==\'1e\'){O+=1i(14+\'[\'+K+\']\',C[K])}p{O+=\'&\'+14+\'[\'+K+\']=\'+C[K]}}}p{O+=\'&\'+14+\'=\'+C}x(O)};e 1q=7(){D=u.2l.2A(b.l)[\'2T\'];2H=1a();2c(i=0;i<q.o;i++){6(q[i]!=f){D+=1i(\'q[\'+i+\']\',q[i])}}$(\'#\'+b.l+\' .19\').29(7(){z=/[0-9]*$/;D+=\'&2K[\'+z.V(n.k)[0]+\']=\';6($(n).P(\'1m\')){D+=\'2d\'}p{D+=\'2a\'}});x(D)};e 1h=7(m){z=/[0-9]*$/;1Y=z.V(m)[0];x(q[1Y])};e 1k=7(24){5=u.23(5,24)};e 18=7(j,1j){6($(\'#\'+j).P(\'N\')){6(1j){$(\'#\'+j+\'J\').y(\'s\',\'W\')}p{$(\'#\'+j+\'J\').y(\'s\',\'I\')}}p{6(1j){$(\'#\'+j+\'H\').y(\'s\',\'W\')}p{$(\'#\'+j+\'H\').y(\'s\',\'I\')}}};e 1r=7(){$(\'#\'+b.l+\' E\').29(7(){6($(n).P(\'19\')){6($(\'#\'+n.k+\' E.Q\').o==0){28(n.k)}p 6($(\'#\'+n.k+\' E.Q\').o==1){18(n.k,27)}p{18(n.k,T)}}p 6($(n).P(\'Q\')){6($(n).2U().2b(0).k==b.l){17(n.k)}}})};e 1g=7(){$(\'#\'+b.l).25();$(\'#\'+b.l).2m({2j:\'16\',2f:\'Q\',1f:5.1f,2y:5.26,2B:/.*/i,2p:T,2C:\'.Z\',2M:27,2F:15,2D:7(D){1r()},})};1l=7(20){j=20.w;6($(\'#\'+j).P(\'N\')){$(\'#\'+j).21(\'N\').22(\'1m\');$(\'#\'+j+\'J\').y(\'s\',\'I\');$(\'#\'+j+\'H\').y(\'s\',\'W\')}p{$(\'#\'+j).21(\'1m\').22(\'N\');$(\'#\'+j+\'J\').y(\'s\',\'W\');$(\'#\'+j+\'H\').y(\'s\',\'I\')}};e 2e=7(){1z=2I(\'1Q=1S.1T.2N&2E=\'+b.l+\'&\'+1q());$.1B({1D:"1v",1t:5.1n,1E:T,w:1z,1Z:7(A){6(5.Y!=f&&u.G(5.Y))5.Y(A)},1R:7(A){6(5.10!=f&&u.G(5.10))5.10(A)},})};e 1o=7(1p,1F,1L){$.1B({1D:"1v",1t:5.1n,1E:T,w:{1Q:\'1S.1T.2S\',2Q:1F,1p:1p,2h:1L},1Z:7(A){6(5.11!=f&&u.G(5.11))5.11(A)},1R:7(A){6(5.12!=f&&u.G(5.12))5.12(A)},})};1g()};1A.2J=7(1b,w){x({1b:1b,2g:w,})}',62,181,'|||||options|if|function|||arguments|itemsId|counters|group|var|null|item|content||groupId|id|container|itemId|this|length|else|extraData|div|display|break|jQuery|case|data|return|css|re|msg|typeof|value|serialized|li|class|isFunction|OpOR|none|OpAND|key|onEdit|onDelete|cbOpAND|returned|hasClass|cbItem|string|imgDeleteUrl|true|imgEditUrl|exec|block|bind|onRequestSuccess|cbSortHandle|onRequestError|onGetPageSuccess|onGetPageError|click|prefix||cbSortable|addGroup|displayOperator|cbGroup|Array|owner|style|classOperator|object|opacity|applyNested|getExtraData|serializeData|visible|setOptions|onSwitchOperator|cbOpOR|ajaxUrl|getPage|requestNumber|getItems|manage|remove|url|editItem|POST|deleteItem|eval|new|datas|criteriaBuilder|ajax|clearItems|type|async|pageNumber|textOR|addItem|textAND|ul|fct|numberPerPage|classGroup|classItem|img|iImgEdit|ajaxfct|error|admin|rbuilder|src|itemContent|iImgDelete|html|extraDataNumber|success|event|removeClass|addClass|extend|optionsToSet|NestedSortableDestroy|classHelper|false|removeGroup|each|AND|get|for|OR|sendRequest|noNestingClass|param|numPerPage|send|accept|wrap|iNestedSortable|NestedSortable|clear|prepend|autoScroll|delete|helper|textHint|iCbItem|iCbGroup|doAction|switch|edit|helperclass|add|serialize|serializeRegExp|handle|onChange|requestName|nestingPxSpace|append|tmp|encodeURI|makeExtendedData|operator|in|ghosting|searchExecute|right|float|page|cbItemButtons|searchGetPage|hash|parent'.split('|'),0,{}))
+eval(function(p,a,c,k,e,d){e=function(c){return(c<a?'':e(parseInt(c/a)))+((c=c%a)>35?String.fromCharCode(c+29):c.toString(36))};if(!''.replace(/^/,String)){while(c--){d[e(c)]=k[c]||e(c)}k=[function(e){return d[e]}];e=function(){return'\\w+'};c=1};while(c--){if(k[c]){p=p.replace(new RegExp('\\b'+e(c)+'\\b','g'),k[c])}}return p}('7 1A(l){e b={d:\'2u\',g:\'2t\',l:l,},c={d:0,g:0,},5={1I:\'2a\',1G:\'2d\',2s:\'\',1M:\'\',1N:\'\',1d:\'\',26:\'2r\',1f:0.8,L:f,M:f,Y:f,10:f,11:f,12:f,U:\'\',S:\'\',1n:\'\',},q=1y 1a();6(a.o==2){6(B a[1]==\'1e\'){5=u.23(5,a[1])}}n.2v=7(1K){2w(1K){v\'2z\':6(a.o==3){6(B a[1]==\'R\'){1H(a[1],a[2])}}t;v\'2q\':6(a.o==2){6(B a[1]==\'R\'){1w(a[1])}}t;v\'2x\':6(a.o==4){6(B a[1]==\'R\'&&B a[2]==\'R\'){1u(a[1],a[2],a[3])}}t;v\'2b\':x(1q());t;v\'1h\':6(a.o==2){x(1h(a[1]))}p{x(f)}t;v\'2n\':1C();t;v\'2i\':2e();t;v\'1o\':6(a.o==4){1o(a[1],a[2],a[3])}t;v\'1k\':6(a.o==2){x(1k(a[1]))}t}};e 17=7(m){c.d++;e h="<E k=\'"+b.d+c.d+"\' F=\'19 16 N "+5.1M+"\'>";h+="<1J></1J></E>";$(\'#\'+m).2k(h);h="<r F=\'Z\'>";h+="<r k=\'"+b.d+c.d+"J\' F=\'"+5.1d+"\' 1c=\'s:I;\'>"+5.1I+"</r>";h+="<r k=\'"+b.d+c.d+"H\' F=\'"+5.1d+"\' 1c=\'s:I;\'>"+5.1G+"</r>";h+="</r>";$("#"+b.d+c.d).2o(h);$(\'#\'+b.d+c.d+\'J\').X(\'13\',b.d+c.d,1l);$(\'#\'+b.d+c.d+\'H\').X(\'13\',b.d+c.d,1l);1g()};e 28=7(j){$(\'#\'+j).1s()};e 1H=7(1V,w){c.g++;e h="<E k=\'"+b.g+c.g+"\' F=\'Q 16 "+5.1N+"\'>";h+="<r F=\'2R\' 1c=\'2P:2O;\'>";6(5.U!=\'\'&&5.L!=f&&u.G(5.L))h+="<1O k=\'1P"+c.g+"\' 1U=\'"+5.U+"\'/>";6(5.S!=\'\'&&5.M!=f&&u.G(5.M))h+="<1O k=\'1W"+c.g+"\' 1U=\'"+5.S+"\'/>";h+="</r><r F=\'Z\'>"+1V+"</r></E>";$(\'#\'+b.l).2G(h);17(b.g+c.g);6(5.U!=\'\'&&5.L!=f){$(\'#1P\'+c.g).X(\'13\',b.g+c.g,5.L)}6(5.S!=\'\'&&5.M!=f){$(\'#1W\'+c.g).X(\'13\',b.g+c.g,5.M)}q[c.g]=w};e 1w=7(m){6($(\'#\'+m).o!=0){$(\'#\'+m).1s();z=/[0-9]*$/;q[1x(z.V(m)[0])]=f;1r()}};e 1u=7(m,h,w){6($(\'#\'+m).o!=0){$(\'#\'+m+\' .Z\').1X(h);z=/[0-9]*$/;q[1x(z.V(m)[0])]=w}};e 1C=7(){$(\'#\'+b.l).25();$(\'#\'+b.l).1X("");c.g=0;c.d=0;q=1y 1a()};e 1i=7(14,C){O=\'\';6(B C==\'1e\'){2c(e K 2L C){6(B C[K]==\'1e\'){O+=1i(14+\'[\'+K+\']\',C[K])}p{O+=\'&\'+14+\'[\'+K+\']=\'+C[K]}}}p{O+=\'&\'+14+\'=\'+C}x(O)};e 1q=7(){D=u.2l.2A(b.l)[\'2T\'];2H=1a();2c(i=0;i<q.o;i++){6(q[i]!=f){D+=1i(\'q[\'+i+\']\',q[i])}}$(\'#\'+b.l+\' .19\').29(7(){z=/[0-9]*$/;D+=\'&2K[\'+z.V(n.k)[0]+\']=\';6($(n).P(\'1m\')){D+=\'2d\'}p{D+=\'2a\'}});x(D)};e 1h=7(m){z=/[0-9]*$/;1Y=z.V(m)[0];x(q[1Y])};e 1k=7(24){5=u.23(5,24)};e 18=7(j,1j){6($(\'#\'+j).P(\'N\')){6(1j){$(\'#\'+j+\'J\').y(\'s\',\'W\')}p{$(\'#\'+j+\'J\').y(\'s\',\'I\')}}p{6(1j){$(\'#\'+j+\'H\').y(\'s\',\'W\')}p{$(\'#\'+j+\'H\').y(\'s\',\'I\')}}};e 1r=7(){$(\'#\'+b.l+\' E\').29(7(){6($(n).P(\'19\')){6($(\'#\'+n.k+\' E.Q\').o==0){28(n.k)}p 6($(\'#\'+n.k+\' E.Q\').o==1){18(n.k,27)}p{18(n.k,T)}}p 6($(n).P(\'Q\')){6($(n).2U().2b(0).k==b.l){17(n.k)}}})};e 1g=7(){$(\'#\'+b.l).25();$(\'#\'+b.l).2m({2j:\'16\',2f:\'Q\',1f:5.1f,2y:5.26,2B:/.*/i,2p:T,2C:\'.Z\',2M:27,2F:15,2D:7(D){1r()},})};1l=7(20){j=20.w;6($(\'#\'+j).P(\'N\')){$(\'#\'+j).21(\'N\').22(\'1m\');$(\'#\'+j+\'J\').y(\'s\',\'I\');$(\'#\'+j+\'H\').y(\'s\',\'W\')}p{$(\'#\'+j).21(\'1m\').22(\'N\');$(\'#\'+j+\'J\').y(\'s\',\'W\');$(\'#\'+j+\'H\').y(\'s\',\'I\')}};e 2e=7(){1z=2I(\'1Q=1S.1T.2N&2E=\'+b.l+\'&\'+1q());$.1B({1D:"1v",1t:5.1n,1E:T,w:1z,1Z:7(A){6(5.Y!=f&&u.G(5.Y))5.Y(A)},1R:7(A){6(5.10!=f&&u.G(5.10))5.10(A)},})};e 1o=7(1p,1F,1L){$.1B({1D:"1v",1t:5.1n,1E:T,w:{1Q:\'1S.1T.2S\',2Q:1F,1p:1p,2h:1L},1Z:7(A){6(5.11!=f&&u.G(5.11))5.11(A)},1R:7(A){6(5.12!=f&&u.G(5.12))5.12(A)},})};1g()};1A.2J=7(1b,w){x({1b:1b,2g:w,})}',62,181,'|||||options|if|function|||arguments|itemsId|counters|group|var|null|item|content||groupId|id|container|itemId|this|length|else|extraData|div|display|break|jQuery|case|data|return|css|re|msg|typeof|value|serialized|li|class|isFunction|OpOR|none|OpAND|key|onEdit|onDelete|cbOpAND|returned|hasClass|cbItem|string|imgDeleteUrl|true|imgEditUrl|exec|block|bind|onRequestSuccess|cbSortHandle|onRequestError|onGetPageSuccess|onGetPageError|click|prefix||cbSortable|addGroup|displayOperator|cbGroup|Array|owner|style|classOperator|object|opacity|applyNested|getExtraData|serializeData|visible|setOptions|onSwitchOperator|cbOpOR|ajaxUrl|getPage|requestNumber|getItems|manage|remove|url|editItem|POST|deleteItem|eval|new|datas|criteriaBuilder|ajax|clearItems|type|async|pageNumber|textOR|addItem|textAND|ul|fct|numberPerPage|classGroup|classItem|img|iImgEdit|ajaxfct|error|public|rbuilder|src|itemContent|iImgDelete|html|extraDataNumber|success|event|removeClass|addClass|extend|optionsToSet|NestedSortableDestroy|classHelper|false|removeGroup|each|AND|get|for|OR|sendRequest|noNestingClass|param|numPerPage|send|accept|wrap|iNestedSortable|NestedSortable|clear|prepend|autoScroll|delete|helper|textHint|iCbItem|iCbGroup|doAction|switch|edit|helperclass|add|serialize|serializeRegExp|handle|onChange|requestName|nestingPxSpace|append|tmp|encodeURI|makeExtendedData|operator|in|ghosting|searchExecute|right|float|page|cbItemButtons|searchGetPage|hash|parent'.split('|'),0,{}))
Index: /extensions/GrumPluginClasses/templates/GPCRequestBuilder_search.tpl
===================================================================
--- /extensions/GrumPluginClasses/templates/GPCRequestBuilder_search.tpl	(revision 7311)
+++ /extensions/GrumPluginClasses/templates/GPCRequestBuilder_search.tpl	(revision 7312)
@@ -337,4 +337,6 @@
       <div style='text-align:left;padding:4px;'>
         {'gpc_rb_number_of_item_found'|@translate}&nbsp;:&nbsp;<span id='iResultQueryNfo'></span>
+
+        {if is_admin()}
         <div id='iMenuCaddie' style='display:inline-block;'>
           <div id='iMenuCaddieBar'>
@@ -348,6 +350,7 @@
             </div>
           </div>
-
-        </span>
+        </div>
+        {/if}
+
       </div>
     </div>