Index: /extensions/gally/gally-default/language/de_DE/theme.lang.php
===================================================================
--- /extensions/gally/gally-default/language/de_DE/theme.lang.php	(revision 7313)
+++ /extensions/gally/gally-default/language/de_DE/theme.lang.php	(revision 7313)
@@ -0,0 +1,62 @@
+<?php
+
+$lang['gally_action_ok'] = 'Die Aktion war erfolgreich';
+$lang['gally_action_ko'] = 'Die Aktion ist fehlgeschlagen';
+
+$lang['gally_save_local_conf'] = 'Einstellungen speichern';
+
+$lang['gally_img_high_res'] = 'Bilder/Hohe Auflösung';
+$lang['gally_img_interface'] = 'Bilder/Interface';
+$lang['gally_img_other'] = 'Bilder/Andere';
+
+$lang['gally_img_high_res_desc'] = 'Auf dieser Seite können Sie die Eigenschaften der Benutzeroberfläche beim Betrachten eines Bildes in hoher Auflösung definieren';
+$lang['gally_img_interface_desc'] = 'Auf dieser Seite können Sie die Eigenschaften der Benutzeroberfläche beim Betrachten eines Bildes definieren';
+$lang['gally_img_other_desc'] = 'Auf dieser Seite können Sie die verschiedenen Eigenschaften der Benutzeroberfläche beim Betrachten eines Bildes definieren';
+
+$lang['gally_default_zoom_size'] = 'Standardzoom Größe';
+$lang['gally_default_zoom_size_desc'] = 'Diese Option stellt den standardmäßigen Anzeigetyp ein wenn ein Bild in HD geladen wird.';
+$lang['gally_defaultZoomSize_full'] = 'Aktuelle Größe (Falls das Bild nicht auf dem Bildschirm passt kann man horizontal oder vertikal scrollen)';
+$lang['gally_defaultZoomSize_fit'] = 'Das Bild wird an der Bildschirmgröße angepasst';
+$lang['gally_display_high_res_icon'] = 'Icon in der Toolbar';
+$lang['gally_display_high_res_icon_desc'] = 'Diese Option zeigt einen Icon in der Toolbar an, falls das Bild eine Version in hoher Auflösung besitzt';
+$lang['gally_displayHighResIcon_yes'] = 'Icon anzeigen';
+$lang['gally_displayHighResIcon_no'] = 'Icon nicht anzeigen';
+$lang['gally_display_high_res_click_mode'] = 'Aktion mit dem hoch auflösenden Bild verknüpfen';
+$lang['gally_display_high_res_click_mode_desc'] = 'Diese Option definiert wie das Interface sich auf das klicken eines Bildes in hoher Auflösung verhält';
+$lang['gally_highResClickMode_zoom'] = 'Ändern der Zoom-Art (Tatsächliche Größe/Aktuelle Größe)';
+$lang['gally_highResClickMode_close'] = 'Beenden der Anzeige des Bildes in hoher Auflösung';
+
+$lang['gally_interface_on_image'] = 'Interface anzeigen';
+$lang['gally_interface_on_image_desc'] = 'Diese Option bestimmt ob beim bewegen der Maus auf das Bild, das Interface angezeigt wird';
+$lang['gally_interface_on_image_always'] = 'Immer';
+$lang['gally_interface_on_image_noscroll'] = 'Nur wenn das Bild nicht Breitbild ist';
+$lang['gally_interface_on_image_never'] = 'Nie';
+
+$lang['gally_image_interface_hidden'] = 'Auf der ladenden Seite anzeigen';
+$lang['gally_image_interface_hidden_desc'] = 'Diese Option bestimmt ob das Interface angezeigt werden soll während die Seite geladen wird.';
+$lang['gally_image_interface_hidden_no'] = 'Das Interface ist Sichtbar während dem laden der Seite';
+$lang['gally_image_interface_hidden_yes'] = 'Das Interface ist nicht sichtbar beim laden der Seite. Dieser wird es beim ersten Trigger-Erreignis sein.';
+
+$lang['gally_interface_timer_delay'] = 'Timeout';
+$lang['gally_interface_timer_delay_desc'] = 'Diese Option definiert die erforderliche Wartezeit bevor das Interface versteckt wird';
+
+$lang['gally_meta_num_cols'] = 'Metadaten anzeigen';
+$lang['gally_meta_num_cols_desc'] = 'Diese Option setzt die Anzahl der Spalten, welche für die Metadatenanzeige benutzt werden';
+$lang['gally_columns'] = 'Spaltenanzahl';
+
+$lang['gally_display_banner'] = 'Banner Anzeigen';
+$lang['gally_display_banner_desc'] = 'Diese Option bestimmt ob der Banner der Seite angezeigt wird wenn man ein Bild anschaut';
+$lang['gally_display_banner_yes'] = 'Banner anzeigen';
+$lang['gally_display_banner_no'] = 'Den Banner nicht anzeigen';
+
+
+$lang['gally_image_auto_scroll'] = 'Einstellungen für Panoramabilder';
+$lang['gally_image_auto_scroll_desc'] = 'Diese Option definiert wie die Anzeige von breiten Bilder verarbeitet wird';
+$lang['gally_image_auto_scroll_yes'] = 'Automatisches Scrollen des Bildes unter dem Cursor';
+$lang['gally_image_auto_scroll_no'] = 'Manueller Scrollen des Bildes';
+$lang['gally_image_auto_scroll_warning'] = 'Diese Funktion wir automatisch deaktiviert mit einer MS IE Version älter als IE 8';
+
+// v1.3.1
+$lang['gally_image_simulate_high_res'] = 'Simuliert für Panoramabilder die Gegenwart eines Bildes in hoher Auflösung';
+
+?>
Index: /extensions/gally/gally-default/language/it_IT/theme.lang.php
===================================================================
--- /extensions/gally/gally-default/language/it_IT/theme.lang.php	(revision 7313)
+++ /extensions/gally/gally-default/language/it_IT/theme.lang.php	(revision 7313)
@@ -0,0 +1,61 @@
+<?php
+
+$lang['gally_action_ok'] = 'L\'azione è riuscita';
+$lang['gally_action_ko'] = 'L\'azione è fallita';
+
+$lang['gally_save_local_conf'] = 'Salvare le impostazioni';
+
+$lang['gally_img_high_res'] = 'Immagine/risoluzione alta';
+$lang['gally_img_interface'] = 'Immagine/Interface';
+$lang['gally_img_other'] = 'Immagine/Altro';
+
+$lang['gally_img_high_res_desc'] = 'Questa pagina le da la possibilità di definire le proprietà dell\'interface dell\'utente quando guarda un\'immagine ad alta risoluzione';
+$lang['gally_img_interface_desc'] = 'Questa pagina le da la possibilità di definire le proprietà dell\'interface dell\'utente quando guarda un\'immagine';
+$lang['gally_img_other_desc'] = 'Questa pagina le da la possibilità di definire varie proprietà dell\'interface dell\'utente quando guarda un immagine';
+
+$lang['gally_default_zoom_size'] = 'Grandezza predefinita dello zoom';
+$lang['gally_default_zoom_size_desc'] = 'Questa opzione imposta il tipo di esposizione usato come default quando un\'immagine ad  alta risoluzione è caricata';
+$lang['gally_defaultZoomSize_full'] = 'Dimensioni reali(se l\'immagine non viene mostrata tutta sullo schermo allora è possibile di far scorrerla orizzontalmente e verticalmente)';
+$lang['gally_defaultZoomSize_fit'] = 'L\'immagine è ridimensionata per farla apparire completamente sullo schermo';
+$lang['gally_display_high_res_icon'] = 'Icona nella barra degli strumenti';
+$lang['gally_display_high_res_icon_desc'] = 'Questa opzione, se l\'immagine ha una versione ad alta risoluzione, mostra un icona nella barra degli strumenti';
+$lang['gally_displayHighResIcon_yes'] = 'Mostra l\'icona';
+$lang['gally_displayHighResIcon_no'] = 'Non mostra l\'icona';
+$lang['gally_display_high_res_click_mode'] = 'Azione associata all\'immagine ad alta risoluzione';
+$lang['gally_display_high_res_click_mode_desc'] = 'Questa opzione definisce come interagisce l\'interface quando si clicca sull\'immagine ad alta risoluzione';
+$lang['gally_highResClickMode_zoom'] = 'Cambia il tipo di zoom (Dimensioni reali/ridimensionata)';
+$lang['gally_highResClickMode_close'] = 'Termina l\'esporre dell\'immagine ad alta risoluzione';
+
+$lang['gally_interface_on_image'] = 'Visualizzazione dell\'interface';
+$lang['gally_interface_on_image_desc'] = 'Questa Opzione definisce, quando il mouse si trova sopra l\'immagine, se vene mostrato l\'interface';
+$lang['gally_interface_on_image_always'] = 'Sempre';
+$lang['gally_interface_on_image_noscroll'] = 'Solo se l\'immagine non è widescreen';
+$lang['gally_interface_on_image_never'] = 'Mai';
+
+$lang['gally_image_interface_hidden'] = 'Visualizzare sulla pagina in caricamento';
+$lang['gally_image_interface_hidden_desc'] = 'Questa Opzione imposta se l\'interface viene mostrato già mentre si carica la pagina';
+$lang['gally_image_interface_hidden_no'] = 'L\'interface è visibile durante il caricamento della pagina';
+$lang['gally_image_interface_hidden_yes'] = 'L\'interface non è visibile durante il caricamento della pagina, verrà mostrata al primo evento trigger';
+
+$lang['gally_interface_timer_delay'] = 'Timeout';
+$lang['gally_interface_timer_delay_desc'] = 'Questa opzione definisce il tempo di inattività richiesto prima che l\'interface è nascosto ';
+
+$lang['gally_meta_num_cols'] = 'Visualizzazione dei metadati';
+$lang['gally_meta_num_cols_desc'] = 'Questa opzione imposta il numero di colonne usate per visualizzare i metadati';
+$lang['gally_columns'] = 'Numero di colonne';
+
+$lang['gally_display_banner'] = 'Visualizzare il banner';
+$lang['gally_display_banner_desc'] = 'Questa opzione controllo se il banner del sito è visualizzato quando si guarda un immagine';
+$lang['gally_display_banner_yes'] = 'Mostra il banner';
+$lang['gally_display_banner_no'] = 'Non mostra il banner';
+
+$lang['gally_image_auto_scroll'] = 'Gestione delle immagini panoramiche';
+$lang['gally_image_auto_scroll_desc'] = 'Questa opzione definisce come visualizzare le immagini larghe';
+$lang['gally_image_auto_scroll_yes'] = 'Scorrimento automatico dell\'immagine sotto il cursore';
+$lang['gally_image_auto_scroll_no'] = 'Scorrimento manuale dell\'immagine';
+$lang['gally_image_auto_scroll_warning'] = 'Questa funzione è automaticamente disattivata quando si usa MS Internet Explorer con una versione più vecchia della versione 8';
+
+// v1.3.1
+$lang['gally_image_simulate_high_res'] = 'Simulare la presenza di una immagine ad alta risoluzione per le immagini panoramiche';
+
+?>