Index: extensions/event_cats/admin/template/autolog_entries.tpl
===================================================================
--- extensions/event_cats/admin/template/autolog_entries.tpl	(revision 7311)
+++ extensions/event_cats/admin/template/autolog_entries.tpl	(revision 7314)
@@ -18,5 +18,5 @@
       {'Hide'|@translate}
     </label>
-    &nbsp;&#151;&nbsp;
+    &nbsp;—&nbsp;
   </span>
   {if $ec_ap_ok}
@@ -37,6 +37,8 @@
 {* <!-- Form to view codes --> *}
 <form class = "filter" method = "post" name = "ec_view_codes" action = "">
-  <input type = "hidden" id = "ec_act1_id" name = "ec_act1" />
-  <input type = "radio" name = "ec_entry_sel" value = "-1" id = "selection--1" style = "display:none;"/>
+  <p>
+    <input type = "hidden" id = "ec_act1_id" name = "ec_act1" />
+    <input type = "radio" name = "ec_entry_sel" value = "-1" id = "selection--1" style = "display:none;" />
+  </p>
   
   <div style = "text-align:center; font-weight:bold; font-size:120%;">
@@ -46,6 +48,6 @@
       <!--[if !IE]> <--> </label> <!--> <![endif]-->
       <!-- What we're able to do for our "prefered" browser |-( ...!  -->
-    </a><br />
-  </div><br />
+    </a><br /><br />
+  </div>
   
   {* <!-- Table to show codes present in MySQL table --> *}
@@ -120,31 +122,27 @@
         <label title = "{'Copy URL ttip'|@translate}">
           {'URL'|@translate}
-          <input type = "text" id = "ec_show_URL" size = "100%" title = "{'Copy URL ttip'|@translate}" readonly = "readonly" />
+          <input type = "text" id = "ec_show_URL" size = "100" title = "{'Copy URL ttip'|@translate}" readonly = "readonly" />
         </label><br />
         <br />
-        <a
-         href = "javascript:void(0);" title = "{'Test URL ttip'|@translate}" alt = "{'Test URL ttip'|@translate}"
-         id = "ec_table_URL" onclick = "return ec_check_tst();" class = "ec_lower_tools"
-        />
-          <img src = "{$EVNTCATS_URLS.ROOT}icon/url2.png" class = "button"/>
+        <a href = "javascript:void(0);" title = "{'Test URL ttip'|@translate}"
+         id = "ec_table_URL" onclick = "return ec_check_tst();" class = "ec_lower_tools" >
+          <img src = "{$EVNTCATS_URLS.ROOT}icon/url2.png" class = "button" alt = "{'Test URL ttip'|@translate}" />
           {'Test'|@translate}
         </a>
         &nbsp;&nbsp;
-        <a href = "javascript:void(0);" onclick = "ec_check_dl();" id = "ec_del_link_id" class = "ec_lower_tools"
-         alt = "{'Delete entry ttip'|@translate}" title = "{'Delete entry ttip'|@translate}"
-        >
-          <img src = "{$EVNTCATS_URLS.ROOT}icon/delete.png" class = "button"/>
+        <a href = "javascript:void(0);" onclick = "ec_check_dl();" id = "ec_del_link_id"
+         class = "ec_lower_tools" title = "{'Delete entry ttip'|@translate}" >
+          <img src = "{$EVNTCATS_URLS.ROOT}icon/delete.png" class = "button" alt = "{'Delete entry ttip'|@translate}" />
           {'Delete'|@translate}
         </a>
         &nbsp;&nbsp;
-        <a href = "javascript:void(0);" onclick = "ec_check_m();" id = "ec_mod_link_id" class = "ec_lower_tools"
-         alt = "{'Modify entry ttip'|@translate}" title = "{'Modify entry ttip'|@translate}"
-        >
-          <img src = "{$EVNTCATS_URLS.ROOT}icon/modify.png" class = "button"/>
+        <a href = "javascript:void(0);" onclick = "ec_check_m();" id = "ec_mod_link_id"
+         class = "ec_lower_tools" title = "{'Modify entry ttip'|@translate}" >
+          <img src = "{$EVNTCATS_URLS.ROOT}icon/modify.png" class = "button" alt = "{'Modify entry ttip'|@translate}" />
           {'Modify'|@translate}
         </a>
       </td>
     </tr>
-  </table><br />
+  </table>
 </form>
 
Index: extensions/event_cats/admin/template/config.tpl
===================================================================
--- extensions/event_cats/admin/template/config.tpl	(revision 7311)
+++ extensions/event_cats/admin/template/config.tpl	(revision 7314)
@@ -18,5 +18,5 @@
       {'Hide'|@translate}
     </label>
-    &nbsp;&#151;&nbsp;
+    &nbsp;—&nbsp;
   </span>
   {if $ec_ap_ok}
@@ -117,8 +117,8 @@
           </label><br />
           {* <!-- Additionnal Page, provided the plugin is activated and at least one Add. P. is available --> *}
-          <label class = "ec_block" for = "ec_in_up_aps_id" {if !$ec_ap_ok or count($add_pages) == 0} style = "display:none;" {/if}
-           onclick = "ec_mark_action('ec_unknown_2_id');"
+          <label class = "ec_block" for = "ec_in_up_aps_id" onclick = "ec_mark_action('ec_unknown_2_id');"
+           {if !$ec_ap_ok or count($add_pages) == 0} style = "display:none;" {/if}
           >
-            <input type = "radio" name = "ec_unknown" value = "2" id = "ec_unknown_2_id" for = "ec_in_up_aps_id" />
+            <input type = "radio" name = "ec_unknown" value = "2" id = "ec_unknown_2_id" />
             {'Additional Page'|@translate}<br />
             <select class = "categoryList" name = "ec_in_up_aps" size="30" id = "ec_in_up_aps_id" onchange = "ec_selected_AP = this.value;" >
Index: extensions/event_cats/admin/template/footer.inc.tpl
===================================================================
--- extensions/event_cats/admin/template/footer.inc.tpl	(revision 7311)
+++ extensions/event_cats/admin/template/footer.inc.tpl	(revision 7314)
@@ -7,4 +7,5 @@
 {* <!-- For help banner --> *}
 {if isset($ec_help_banner_in_foot)}
+  <br />
   <script type = "text/javascript"><!--
     ec_help_banner_in_foot = true;