Index: /extensions/GrumPluginClasses/classes/GPCRequestBuilder.class.inc.php
===================================================================
--- /extensions/GrumPluginClasses/classes/GPCRequestBuilder.class.inc.php	(revision 7316)
+++ /extensions/GrumPluginClasses/classes/GPCRequestBuilder.class.inc.php	(revision 7317)
@@ -193,8 +193,11 @@
    * to a sub part of the where clause
    *
+   * in most case, return "" is the best solution
+   *
    */
   static public function getFilter($param="")
   {
-    return(self::getWhere($param));
+    //return(self::getWhere($param));
+    return("");
   }
 
@@ -666,5 +669,7 @@
       foreach($val as $itemNumber => $param)
       {
-        $tmpBuild['FILTER'][$key][]='('.call_user_func(Array('RBCallBack'.$key, 'getFilter'), $param).')';
+        $tmpFilter=call_user_func(Array('RBCallBack'.$key, 'getFilter'), $param);
+
+        if(trim($tmpFilter)!="") $tmpBuild['FILTER'][$key][]='('.$tmpFilter.')';
       }
     }
@@ -1344,5 +1349,5 @@
     $datas=Array(
       'dialogBox' => $dialogBox,
-      'themeName' => $template->get_themeconf('name'),
+      'themeName' => defined('IN_ADMIN')?$template->get_themeconf('name'):'',
     );
 
Index: /extensions/GrumPluginClasses/css/rbuilder.css
===================================================================
--- /extensions/GrumPluginClasses/css/rbuilder.css	(revision 7316)
+++ /extensions/GrumPluginClasses/css/rbuilder.css	(revision 7317)
@@ -129,4 +129,5 @@
   position:absolute;
   padding:0px;
+  z-index:500;
 }
 
Index: /extensions/GrumPluginClasses/templates/GPCRequestBuilder_search.tpl
===================================================================
--- /extensions/GrumPluginClasses/templates/GPCRequestBuilder_search.tpl	(revision 7316)
+++ /extensions/GrumPluginClasses/templates/GPCRequestBuilder_search.tpl	(revision 7317)
@@ -12,19 +12,18 @@
   interfaceManager = function(optionsToSet)
   {
-    var pn=null;
-    var requestNumber=0;
-
-    options =
-      {
-        requestCriterionsVisible:'',
-        requestCriterionsHidden:'',
-        requestResult:'',
-        requestResultContent:'',
-        requestResultNfo:'',
-        requestResultPagesNavigator:'',
-        requestResultRequestNumber:0,
-        onPageChange:null,
-        numberPerPage:30,
-      };
+    var pn=null,
+        requestNumber=0,
+        options =
+          {
+            requestCriterionsVisible:'',
+            requestCriterionsHidden:'',
+            requestResult:'',
+            requestResultContent:'',
+            requestResultNfo:'',
+            requestResultPagesNavigator:'',
+            requestResultRequestNumber:0,
+            onPageChange:null,
+            numberPerPage:30,
+          };
 
     /**
@@ -262,6 +261,17 @@
     );
 
-    requestBuilderOptions.imgEditUrl='{/literal}{$ROOT_URL}{$themeconf.admin_icon_dir}{literal}/edit_s.png';
-    requestBuilderOptions.imgDeleteUrl='{/literal}{$ROOT_URL}{$themeconf.admin_icon_dir}{literal}/delete.png';
+    {/literal}
+
+
+
+    {if defined('IN_ADMIN')}
+      requestBuilderOptions.imgEditUrl='{$ROOT_URL}{$themeconf.admin_icon_dir}/edit_s.png';
+      requestBuilderOptions.imgDeleteUrl='{$ROOT_URL}{$themeconf.admin_icon_dir}/delete.png';
+    {else}
+      requestBuilderOptions.imgEditUrl='{$ROOT_URL}{$themeconf.icon_dir}/edit.png';
+      requestBuilderOptions.imgDeleteUrl='{$ROOT_URL}{$themeconf.icon_dir}/delete.png';
+    {/if}
+    {literal}
+
     requestBuilderOptions.classGroup='gcBorderInput gcTextInput';
     requestBuilderOptions.classItem='gcBgInput gcTextInput';
@@ -285,7 +295,4 @@
     );
   }
-
-
-
 </script>
 {/literal}
@@ -294,5 +301,8 @@
   {$dialogBox.content}
 {/foreach}
+
+{if is_admin()}
 <div id='iRBCaddieNfo'></div>
+{/if}
 
 <form>
@@ -328,33 +338,33 @@
 </form>
 
-  <fieldset id='iResultQuery' style='display:none;' class='cResultQuery'>
-    <legend>{'gpc_rb_result_query'|@translate}</legend>
-
-    <div id='iResultQueryContent' style='width:100%;min-height:250px;max-height:450px;overflow:auto;margin-bottom:8px;'></div>
-
-    <div class='gcBgInput gcTextInput'>
-      <div id='iPagesNavigator' style='float:right;'></div>
-      <div style='text-align:left;padding:4px;'>
-        {'gpc_rb_number_of_item_found'|@translate}&nbsp;:&nbsp;<span id='iResultQueryNfo'></span>
-
-        {if is_admin()}
-        <div id='iMenuCaddie' style='display:inline-block;'>
-          <div id='iMenuCaddieBar'>
-            <div id='iMenuCaddieText' class='gcLink gcBgInput'>{'gpc_manage_caddie'|@translate}&dArr;
-            <div id='iMenuCaddieImg' style='display:none;width:16px;height:16px;background:url(./plugins/GrumPluginClasses/icons/processing.gif) no-repeat 0 0 transparent;'>&nbsp;</div>
-            <div id='iMenuCaddieItems'>
-              <ul class='gcBgInput'>
-                <li class='gcBgInput'><a onclick="im.doAction('fillCaddie', 'add');">{'gpc_add_caddie'|@translate}</a></li>
-                <li class='gcBgInput'><a onclick="im.doAction('fillCaddie', 'replace');">{'gpc_replace_caddie'|@translate}</a></li>
-              </ul>
-            </div>
+
+<fieldset id='iResultQuery' style='display:none;' class='cResultQuery'>
+  <legend>{'gpc_rb_result_query'|@translate}</legend>
+
+  <div id='iResultQueryContent' style='width:100%;min-height:250px;max-height:450px;overflow:auto;margin-bottom:8px;'></div>
+
+  <div class='gcBgInput gcTextInput'>
+    <div id='iPagesNavigator' style='float:right;'></div>
+    <div style='text-align:left;padding:4px;'>
+      {'gpc_rb_number_of_item_found'|@translate}&nbsp;:&nbsp;<span id='iResultQueryNfo'></span>
+
+      {if is_admin()}
+      <div id='iMenuCaddie' style='display:inline-block;'>
+        <div id='iMenuCaddieBar'>
+          <div id='iMenuCaddieText' class='gcLink gcBgInput'>{'gpc_manage_caddie'|@translate}&dArr;
+          <div id='iMenuCaddieImg' style='display:none;width:16px;height:16px;background:url(./plugins/GrumPluginClasses/icons/processing.gif) no-repeat 0 0 transparent;'>&nbsp;</div>
+          <div id='iMenuCaddieItems'>
+            <ul class='gcBgInput'>
+              <li class='gcBgInput'><a onclick="im.doAction('fillCaddie', 'add');">{'gpc_add_caddie'|@translate}</a></li>
+              <li class='gcBgInput'><a onclick="im.doAction('fillCaddie', 'replace');">{'gpc_replace_caddie'|@translate}</a></li>
+            </ul>
           </div>
         </div>
-        {/if}
-
       </div>
+      {/if}
+
     </div>
-
-  </fieldset>
+  </div>
+</fieldset>
 
 