Index: extensions/netinstall/trunk/language/cs_CZ/iso.txt
===================================================================
--- extensions/netinstall/trunk/language/cs_CZ/iso.txt	(revision 7319)
+++ extensions/netinstall/trunk/language/cs_CZ/iso.txt	(revision 7319)
@@ -0,0 +1,1 @@
+Česky [CZ]
Index: extensions/netinstall/trunk/language/cs_CZ/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/cs_CZ/loader.lang.txt	(revision 7319)
+++ extensions/netinstall/trunk/language/cs_CZ/loader.lang.txt	(revision 7319)
@@ -0,0 +1,62 @@
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+// Czech translation by webprostor.eu
+
+$lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
+$lang['Welcome to NetInstall!'] = 'Vítejte v síťovém instalátoru!';
+$lang['Language'] = 'Jazyk';
+$lang['This tool is meant to retrieve the latest Piwigo archive and unzip it in your webspace.'] = 'Tento nástroj přijme poslední verzi Piwiga a zozbalí jej do vašeho webprostoru.';
+$lang['Right after then, you will be redirect to the Piwigo Setup Wizard.'] = 'Potom, budete přesměrováni na instalátor aplikace Piwigo.';
+
+$lang['Write access is needed'] = 'Je potřeba povolení k zápisu';
+$lang['It looks like NetInstall wont be able to write in the current directory, and this is required to follow on.'] = 'Vypadá to, že NetInstall nemá možnost zápisu do stávající složky, musíte zkontrolovat a případně povolit zápis(chmod).';
+$lang['Please try to change the permissions to allow write access, then reload this page by hitting the Refresh button.'] = 'Prosím, zkuste změnit přístupová práva a povolit zápis, následně obnovte tuto stránku kliknutím na tlačítko Obnovit.';
+$lang['Refresh'] = 'Obnovit';
+
+$lang['PHP 5 is required'] = 'Je požadováno PHP verze 5';
+$lang['It appears your webhost is currently running PHP %s.'] = 'Váš webhosting aktuálně používá PHP %s.';
+$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall zkusí navolit konfiguraci na PHP 5 vytvořením nebo modifikací .htaccess souboru.';
+$lang['Note you can change your configuration by yourself and restart NetInstall after that.'] = 'Samozřejmě můžete měnit konfiguraci sami a potom restartovat NetInstall.';
+$lang['Try to configure PHP 5'] = 'Zkuste nakonfigurovat PHP 5';
+
+$lang['Retrieve and unzip Piwigo'] = 'Přijímám a rozbaluji Piwigo';
+$lang['Destination:'] = 'Umístění:';
+
+$lang['Sorry!'] = 'Promiňte!';
+$lang['NetInstall was not able to configure PHP 5.'] = 'NetInstall nemůže konfigurovat PHP 5.';
+$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = "Zeptejte se vašeho poskytovatele webhostingu jak přepnete samostatně na PHP 5.";
+$lang['Hope to see you back soon.'] = 'Doufám, že se opět uvidíme.';
+
+$lang['It seems like a previous Piwigo installation is still sitting in that space.'] = 'Zdá se že předchozí instalace Piwiga je stále na disku.';
+$lang['You need to rename or remove it before we can go further...'] = 'Je potřeba ji přejmenovat nebo odstranit předtím než budeme pokračovat...';
+$lang['Needed files are not present.'] = 'Potřebné soubory nejsou přítomné.';
+$lang['Invalid zip file.'] = 'Špatný zip soubor.';
+$lang['It seems that the zip file was not extracted.'] = 'Vypadá to, že zip archiv nebyl rozbalen.';
+
+$lang['Congratulations!'] = 'Gratulujeme!';
+$lang['Everything went fine. You are now ready to start the installation procedure.'] = 'Vše by mělo být hotovo. Nyní přejděte k instalační proceduře.';
+$lang['Install Piwigo now'] = 'Instalovat Piwigo nyní';
+$lang['An error occurred while grabbing the necessary files to go on.'] = 'Nastala chyba při zavádění nezbytných souborů pro pokračování.';
+$lang['Something went wrong...'] = 'Něco je špatně ...';
+$lang['What are you doing here that way ?!'] = 'What are you doing here that way ?!';
+
+$lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!';