Index: /extensions/piclens/language/hu_HU/description.txt
===================================================================
--- /extensions/piclens/language/hu_HU/description.txt	(revision 7322)
+++ /extensions/piclens/language/hu_HU/description.txt	(revision 7322)
@@ -0,0 +1,1 @@
+A Cooliris/PicLens (+ 3D fal) beüzemeléséhez a Piwigo Galériában.
Index: /extensions/piclens/language/hu_HU/index.php
===================================================================
--- /extensions/piclens/language/hu_HU/index.php	(revision 7322)
+++ /extensions/piclens/language/hu_HU/index.php	(revision 7322)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/piclens/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/piclens/language/hu_HU/plugin.lang.php	(revision 7322)
+++ /extensions/piclens/language/hu_HU/plugin.lang.php	(revision 7322)
@@ -0,0 +1,215 @@
+<?php
+/*
+ * Plugin Name: CoolIris-Piclens
+ * File :  plugin.lang.php
+* Lang : EN 
+ */
+
+// Piclenslite button
+$lang['piclens_button']	 				= 'Slideshow indítása';
+
+
+// Admin page
+$lang['piclens_config_tab']	 			= 'Beállítások';
+$lang['piclens_rssfeed_tab'] 			= 'RSS Feed';
+$lang['piclens_3dwallconfig_tab'] 		= 'PiclensWall beállítása';
+
+// 
+$lang['piclens_admin_title'] 			= 'Cooliris/Piclens bővítmény beállítása';
+$lang['piclens_admin_submit']			= 'Mentés';
+$lang['piclens_admin_saveOK'] 			= 'Cooliris-Piclens beállítások mentése sikeres';
+$lang['piclens_admin_saveERR1']			= 'crossdomain.xml fájl nem található';
+$lang['piclens_admin_saveERR2']			= 'Hiba a fájl másolásakor';
+$lang['piclens_admin_saveERR3']			= 'crossdomain.xml már létező fájl';
+$lang['piclens_admin_saveOK2']			= 'A crossdomain.xml fájl másolása a bővítmény gyökér könyvtárába sikeres';
+$lang['piclens_admin_saveERR4']			= 'Cooliris 3D Wall nem aktiválható mert a PWG Stuff bővítmény aktív';
+
+$lang['piclens_admin_restoreOK']		= 'A konfigurációs fájl paraméterei (%s) bekerültek az adatbázisba';
+$lang['piclens_admin_restoreKO']		= 'A konfigurációs fájl (%s) nem található';
+$lang['piclens_admin_savefileOK']		= 'A paraméterek konfigurációs fájlba mentése sikeres (%s)';
+$lang['piclens_admin_savefileWN']		= 'Meglévő konfigurációs fájl (%s) törölve';
+$lang['piclens_admin_restore']			= 'Paraméterek visszaállítása fájlból';
+$lang['piclens_admin_savefile']			= 'Paradéterek mentése fájlba';
+
+$lang['piclens_cfg_title'] 				= 'Piclens : Beállítások';
+$lang['piclens_cfg_piclens_actived']	= 'Cooliris/Piclens bővítmény bekapcsolása';
+$lang['piclens_cfg_recursiv_actived']	= 'Rekurzió bekapcsolása az alkategóriákra';
+$lang['piclens_cfg_root_actived']		= 'Piclens bekapcsolása a teljes Galériára (Home galéria)';
+$lang['piclens_cfg_lite_actived']		= 'PiclensLite bekapcsolása (Piclens navigator bővítmény nélkül)';
+
+$lang['piclens_cfg_otherplugins_title']	= 'Összeférhetőség a telepített bővítménnyekkel';
+$lang['piclens_cfg_plugins_actived']	= 'Összeférhetőség bekapcsolása a(z) <b><u><i>%s</i></u></b> bővítménnyel';
+$lang['piclens_label_plugins']			= '<b><u><i>%s</i></u> bővítmény telepítve </b>és <b>aktiválva</b>';
+$lang['piclens_secureimage_detail']		= 'A SecureImage bővítmény getFile eszközzel töltse be a képeket.';
+$lang['piclens_extendeddesc_detail']	= 'Using language tag [lang] for the picture description and the < !--hidden-- > tag to hide categories and pictures.';
+
+$lang['piclens_cfg_specials_actived']	= 'Piclens bekapcsolása a "Speciális összetevők" oldalakon';
+$lang['piclens_recentpics_label'] 		= 'Legfrissebb képek';
+$lang['piclens_recentcats_label'] 		= 'Legfrissebb kategória';
+$lang['piclens_mostvisited_label'] 		= 'Legtöbbször nézett';
+$lang['piclens_bestrated_label'] 		= 'Legjobbra értékelt';
+$lang['piclens_favorites_label'] 		= 'Kedvenceim';
+
+$lang['piclens_label_withoutrecursive']	= 'Rekurzió nélkül';
+$lang['piclens_label_withrecursive']	= 'Rekurzióval';
+
+$lang['piclens_recurs_mode_title']		= 'Rekurzió módja';
+$lang['piclens_recurs_mode_label']		= 'Rekurzió módja  : ';
+$lang['piclens_recursive_standard']		= 'Standard';
+$lang['piclens_recursive_standard_title']= 'Standard eljárás';
+$lang['piclens_recursive_standard_detail']= 'Főoldal<br/>&nbsp;\- Kategória A<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Alkategória AA<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- képek_AAxx<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\ <br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Alkategória AB<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- képek_ABxx<br/>&nbsp;\<br/>&nbsp;\- Kategória B<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Alkategória BA<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- képek_BAxx<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Alkategória BB<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- képek_BBxx<br/><br/>- At Home, 1 stream containing all the images of A and B categories and their subcategories (flux Home)<br/>- In each category (eg A), 1 stream containing all images in the category and sub-categories (eg A and AA and AB)<br/>';
+$lang['piclens_recursive_specifique']	= 'Specifikus';
+$lang['piclens_recursive_specifique_title']= 'Specifikus eljárás ';
+$lang['piclens_recursive_specifique_detail']= 'Főoldal<br/>&nbsp;\- Kategória A<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Alkategória AA<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- képek_AAxx<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\ <br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Alkategória AB<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- képek_ABxx<br/>&nbsp;\<br/>&nbsp;\- Kategória B<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Alkategória BA<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- képek_BAxx<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Alkategória BB<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- képek_BBxx<br/><br/>- At the Home, 1 stream for each category contains all the images of sub-categories (eg, flows A and B flows)<br/>- In each category (eg A), 1 stream for the category containing all images in the category (eg flow A) and 1 stream for each subcategories containing all the images in the sub-categories (eg flow AA and flow AB)';
+
+$lang['piclens_recurs_mode_rem']		= '<i>Bármi legyen a választott módszer a 3D falnál, a "Cooliris 3D Wall" (3. lap) esetén a <b>Standard módszer</b> érvényesül</i>';
+
+$lang['piclens_rsscfg_title'] 			= 'Piclens : RSS feed Paraméterek';
+$lang['piclens_rsscfg_exttitle']		= 'A Piclens-ben megjelenítendő fájl típusok';
+$lang['piclens_rsscfg_ext']				= 'Ezen fájl kiterjesztések használata : ';
+$lang['piclens_rsscfg_ext1']			= '(Bármely kiválasztott kiterjesztés => Rss feed használja a kiterjesztéseket)';
+$lang['piclens_rsscfg_ext2']			= 'Megjegyzés : !ÉRVÉNYTELEN! rekordok bélyegképek nélkül (néhány video fájl [például .flv])';
+
+$lang['piclens_rsscfg_TNtype']			= 'Bélyegkép típusa a Piclens slideshow-ban';
+$lang['piclens_rsscfg_IMGtype']			= 'Normál kép típusa a Piclens slideshow-ban';
+$lang['piclens_rsscfg_order']			= 'Képek megjelenítésének sorrendje a PicLens-ben';
+$lang['piclens_rsscfg_order1']			= 'Képek rendezésének sorrendje a PicLens-ben';
+$lang['piclens_rsscfg_name'] 			= 'Képnév a Piclens-ben';
+$lang['piclens_rsscfg_namecat']			= 'Mutassa a kategória nevét';
+$lang['piclens_rsscfg_desc'] 			= 'Képek leírása a Piclens-ben';
+$lang['piclens_rsscfg_video'] 			= 'Piclens video támogatás';
+
+$lang['piclens_label_orderPiwigo'] 		= 'Piwigo Alapértelmezett';
+$lang['piclens_label_orderCreDate'] 	= 'Készítés időpontja';
+$lang['piclens_label_orderAddDate'] 	= 'Feltöltés időpontja';
+$lang['piclens_label_orderAverage']     = 'Értékelés átlaga';
+$lang['piclens_label_orderBest'] 		= 'Legtöbbször nézett';
+$lang['piclens_label_orderName']		= 'Fájl neve';
+$lang['piclens_label_orderID'] 			= 'Id';
+$lang['piclens_label_orderRand'] 		= 'Véletlen';
+$lang['piclens_label_orderCat'] 		= 'Kategória';
+$lang['piclens_label_orderRank'] 		= 'Rang';
+
+$lang['piclens_label_sortHome'] 		= 'Piclens a Föoldalon';
+$lang['piclens_label_sortCat'] 			= 'Piclens a Kategóriákban';
+
+$lang['piclens_label_sortPiwigo']		= 'Piwigo Alapértelmezett';
+$lang['piclens_label_sortUp']			= 'FENT';
+$lang['piclens_label_sortDown']			= 'LENT';
+
+$lang['piclens_label_TypeTN']			= 'Bélyegkép';
+$lang['piclens_label_TypeNorm']			= 'Normál';
+$lang['piclens_label_TypeHigh']			= 'Nagy';
+
+$lang['piclens_label_Name1']			= 'Bélyegkép neve : mérete';
+$lang['piclens_label_Name2']			= 'Bélyegkép neve';
+$lang['piclens_label_Name3']			= 'Kép neve';
+$lang['piclens_label_Name4']			= 'Semmi';
+
+$lang['piclens_label_Desc1']			= 'Semmi';
+$lang['piclens_label_Desc2']			= 'Kép neve';
+$lang['piclens_label_Desc3']			= 'Kép leírása';
+
+
+$lang['piclens_wallcfg_title'] 			= 'Piclens : PiclensWall (3D Wall) Beállítások';
+$lang['piclens_wallcfg_navoption_title']= 'Cooliris 3D Wall navigáció';
+$lang['piclens_wallcfg_name']			= 'Cooliris 3D Wall Cím :';
+$lang['piclens_wallcfg_actived']		= 'Cooliris 3DWall bekapcsolása';
+$lang['piclens_wallcfg_info']			= '<b>Fontos a 3DWall használatához: </b>Szükséges a';
+$lang['piclens_wallcfg_info_suite']		= 'fájl másolása a bövítmény gyökér könyvtárába (vagy az előző módosítása)';
+$lang['piclens_wallcfg_color']			= 'Cooliris 3D wall háttér színe :';
+$lang['piclens_wallcfg_colorB']			= 'Fekete';
+$lang['piclens_wallcfg_colorW']			= 'Fehér';
+$lang['piclens_wallcfg_heigh']			= 'Cooliris 3D Wall ablak magassága';
+$lang['piclens_wallcfg_disp']			= 'Cooliris 3D wall megjelenítése :';
+$lang['piclens_wallcfg_disp_opt1']		= 'Főoldal';
+$lang['piclens_wallcfg_disp_opt2']		= 'Kategóriák';
+$lang['piclens_wallcfg_option']			= 'Cooliris 3D Wall megjelenés beállításai :';
+$lang['piclens_wallcfg_option-opt1']	= '"Beágyazás" link megjelenítése';
+$lang['piclens_wallcfg_option-opt2']	= '"Teljes képernyő" link megjelenítése';
+$lang['piclens_wallcfg_option-opt3']	= '"Keresés" link megjelenítse';
+$lang['piclens_wallcfg_transparent']	= '"Átlátszó" mód a falra. <i>Néhány vízszintes témánál szükség lehet rá</i>';
+$lang['piclens_wallcfg_param']			= 'Cooliris 3D Wall paraméterek ';
+$lang['piclens_wallcfg_paramNORM']		= 'Standard (az összes galériára egységesen)';
+$lang['piclens_wallcfg_paramSPEC']		= 'Specifikus (konfiguráció az alábi galériákra)';
+$lang['piclens_wallcfg_cat_nav']		= 'Cooliris 3D wall megjelenítése a navigációs bélyegképek helyett az alábbi kategóriákban';
+$lang['piclens_wallcfg_cat_nav1']		= 'Kategóriák kijelölése melyek használják a 3D navigációt :';
+
+$lang['piclens_wallcfg_swflocal'] 		= '[Választható] Helyi flash fájl (swf) használata a Cooliris 3DWall szolgáltatása helyett <b>[ebben az esetben nem szükséges a crossdomain.xml-fájl]</b>';
+
+$lang['piclens_wallcfg_nbligne']        = 'A falon megjelenítendő sorok száma ';
+
+$lang['piclens_wallcfg_cat']			= '	Kategóriák melyekben megjelenik a Cooliris 3D wall (amennyiben a \'specifikus\' paraméter van érvényben) :';
+
+$lang['piclens_wallcfg_spec_nav']		= 'Cooliris 3D wall használata az alábbi speciális kategóriákban';
+
+$lang['piclens_label_crossdomain1']		= '<i>Ha a <u>crossdomain.xml</u> fájl már létezik a gyökér könyvtárban, manuálisan módosítható ha szükséges.</i>';
+$lang['piclens_label_crossdomain2']		= 'A crossdomain.xml fájl másolása a bővítmény gyökér könyvtárába';
+
+$lang['piclens_label_pwgstuff1']		= '<u>Megjegyzés :</u> <b>Az opció nem áll rendelkezésre, mert a PWG_Stuff telepítve van (lehetőségek a PWG_Stuff bővítménynél). Egyes beállítások itt változtathatók.</b>';
+$lang['piclens_label_pwgstuff2']		= '<u>Megjegyzés :</u> Telehíthető helyette a <a href=http://hu.piwigo.org/ext/extension_view.php?eid=190>PWG_Stuff</a> bővítmény, melyben hozzáadható a PicLens 3DWall modul (a PWG_Stuff további lehetőségeket is biztosít).';
+
+$lang['piclens_stuff_notparam']			= '<b>A Cooliris PicLens bővítmény egyedi paraméterei, ha a PWG Stuff bővítmény nincs használatban</b>';
+$lang['piclens_stuff_param_commun']		= '<b>A Cooliris PicLens és a PWG-Stuff közös paraméterei</b>';
+
+$lang['piclens_3dwallconfig2_tab'] 		= '3DWall haladó beállítások';
+$lang['piclens_wallcfgadv_title']       = 'Piclens : Cooliris 3D Wall haladó beállítások';
+$lang['piclens_wallcfg_colorD']         = 'Sötét';
+$lang['piclens_wallcfg_colorL']         = 'Világos';
+$lang['piclens_wallcfg_showChrome']    = 'Mutassa az alsó eszköztár hátterét';
+$lang['piclens_wallcfg_showDescription']    = 'Mutassa a képhez tartozó adatokat';
+$lang['piclens_wallcfg_showReflections']    = 'Mutassa a tükröződést';
+$lang['piclens_wallcfg_showTutorial']    = 'Mutassa a tutorial üzenetet';
+$lang['piclens_wallcfg_showNavArrows']    = 'Mutassa a navigációs nyilakat';
+$lang['piclens_wallcfg_backgroundAlpha']    = 'Háttér átlátszósága [0.0-1.0]';
+$lang['piclens_wallcfg_descriptionHeight']    = 'A név és leírás magassága [0-100]';
+$lang['piclens_wallcfg_tilt']    = 'Fal döntésének mértéke [0-5]';
+$lang['piclens_wallcfg_backgroundColor']    = 'Háttér színe';
+$lang['piclens_wallcfg_glowColor']    = 'A kijelölt kép körüli ragyogás színe';
+$lang['piclens_wallcfg_backgroundImage']    = 'A fal háttérképének URL címe';
+$lang['piclens_wallcfg_tutorial']    = 'Kép tutorial URL címe';
+$lang['piclens_wallcfg_tutorialtime']    = 'Tutorial megjelenítés ideje';
+$lang['piclens_wallcfg_customButtonURL']    = 'Az eszköztár jobb alsó sarkában megjelenő egyéni gomb URL címe';
+$lang['piclens_wallcfg_customButtonTARGET']    = 'Egyedi gomb elérési útja';
+$lang['piclens_wallcfg_icons']    = 'Egyéni eszköztár ikonok PNG képek könyvtára';
+$lang['piclens_wallcfg_linkCSS']    = 'Leírásoknál alkalmazandó CSS sztring';
+
+$lang['piclens_xml_config'] = 'Név és leírások beállítása';
+$lang['piclens_xml_legend']	= 'Név és leírások paraméterei';
+
+//legende
+$lang['piclens_picture_legend']	    = 'Kép';
+$lang['piclens_cat_legend']		    = 'Kategória';
+$lang['piclens_global_legend']		= 'Globális';
+$lang['img_id_legend']				= 'Kép ID';	// %I1
+$lang['img_name_legend']			= 'Kép neve';	// %I2
+$lang['img_description_legend']		= 'Kép leírása'; // %I3
+$lang['img_author_legend']			= 'Kép szerző';	// %I4
+$lang['img_URLThumb_legend']		= 'Bélyegkép URL (URL a galériában)'; // %I5
+$lang['img_URLNormal_legend']		= 'Kép URL (URL a gallériában)';	// %I6
+$lang['img_URLHigh_legend']			= 'HD kép URL (URL a galériában)';	// %I7
+$lang['img_URLPicturephp_legend']	= 'Link a kép oldalra (picture.php)';	//%I8
+$lang['img_URLThumbFull_legend']	= 'Bélyegkép URL (teljes URL)'; // %I9
+$lang['img_URLNormalFull_legend']	= 'Kép URL (teljes URL)';	// %IA
+$lang['img_URLHighFull_legend']		= 'HD kép URL (teljes URL)';	// %IB
+$lang['img_filename_legend']		= 'Kép fájl neve'; // %IC
+$lang['img_comment_legend']			= 'Friss hozzászólások'; // %ID
+
+$lang['root_path_legend']			= 'Piwigo útvonal'; // %G1
+
+$lang['cat_id_legend']				= 'Kategória ID'; // %C1
+$lang['cat_name_legend']			= 'Kategória név'; // %C2
+$lang['cat_description_legend']		= 'Kategória leírása'; // %C3
+$lang['cat_dir_legend']				= 'Ketegória útvonala (útvonal a Galériában)'; // %C4
+$lang['cat_dirFull_legend']			= 'Ketegória útvonala (teljes útvonal)'; // %C4
+// Fin legende
+
+$lang['piclens_tags_label']		= 'Címkék';
+$lang['piclens_rsscfg_exclude_double']	= 'Kettős képek elhagyása a feed-be (megegyező útvonalon)';
+$lang['piclens_rss_icon']		= 'Cooliris feed ikon URL';
+
+$lang['SelectedCat']		= 'Kiválasztott kategóriák';
+$lang['NonSelectedCat']		= 'Nem kiválasztott kategóriák';
+
+$lang['piclens_rss_title']		= 'RSS tartalom címe <i>(ha üres, nem lesz cím)</i>';
+?>