Index: extensions/photoWidget/language/hu_HU/description.txt
===================================================================
--- extensions/photoWidget/language/hu_HU/description.txt	(revision 7326)
+++ extensions/photoWidget/language/hu_HU/description.txt	(revision 7326)
@@ -0,0 +1,1 @@
+A képeket 3D animációval jeleníti meg
Index: extensions/photoWidget/language/hu_HU/index.php
===================================================================
--- extensions/photoWidget/language/hu_HU/index.php	(revision 7326)
+++ extensions/photoWidget/language/hu_HU/index.php	(revision 7326)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/photoWidget/language/hu_HU/plugin.lang.php
===================================================================
--- extensions/photoWidget/language/hu_HU/plugin.lang.php	(revision 7326)
+++ extensions/photoWidget/language/hu_HU/plugin.lang.php	(revision 7326)
@@ -0,0 +1,38 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | photoWidget  - a plugin for Piwigo                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
+// +-----------------------------------------------------------------------+
+
+$lang['That plugin display pictures using a flash movie that rotates them in 3D. It works like regulars categories but in a more amazing and exciting way.'] = 'A bővítmény flash movie használatával 3D-ben forgatja a képeket. Használatával a hagyományos megjelenítéstől eltérően egy izgalmas megjelenítés hozható létre az egyes kategóriákban.';
+$lang['You can choose that mode for displaying one, severals or all categories'] = 'Megadható, hogy egy, több vagy az összes kategóriában jelenjen meg';
+$lang['Main configuration'] = 'Fő konfiguráció';
+$lang['All categories'] = 'Ősszes kategória';
+$lang['Applicable categorie(s)'] = 'Választható kategóriák';
+$lang['Animation size'] = 'Animáció mérete';
+$lang['Animation background color'] = 'Animáció háttér színe';
+$lang['Color'] = 'Szín';
+$lang['You choose that mode for'] = 'Az üzemmódot Ön dönti el';
+$lang['one category'] = 'egy kategória';
+$lang['all categories'] = 'összes kategória';
+$lang['severals categories'] = 'több kategória';
+$lang['Width has been updated'] = 'Szélesség frissítése sikeres';
+$lang['Height has been updated'] = 'Magasság frissítése sikeres';
+$lang['Background color of animation has been updated'] = 'Animáció háttér színének frissítése sikeres';
+$lang['This widget requires Flash Player 9 or better'] = 'A widget használatához Flash Player 9 vagy magasabb verzió szükséges';
+?>