Index: /extensions/ASearchEngine/ase2.css
===================================================================
--- /extensions/ASearchEngine/ase2.css	(revision 7327)
+++ /extensions/ASearchEngine/ase2.css	(revision 7328)
@@ -11,6 +11,6 @@
 .ui-dialog-buttonpane { padding: 5px; }
 .ui-dialog-buttonpane button { margin:0px 5px; }
-.ui-datepicker { border:1px solid; margin-top:-1px; padding:2px; }
-.ui-datepicker .ui-datepicker-header { margin:-2px; }
+div.ui-datepicker { border:1px solid; margin-top:-1px; padding:2px; }
+div.ui-datepicker div.ui-datepicker-header { margin:-2px; }
 .ui-datepicker td, .ui-datepicker td:hover { text-decoration:none; margin:2px;
   -moz-border-radius:3px;
@@ -53,4 +53,5 @@
 }
 
+.cRequestCriterions { margin-bottom:10px; }
 
 div#iMenuCriterions ul { margin-top:0px; }
@@ -76,7 +77,11 @@
 div.ruleSelector { float:left; width:150px; }
 div.ruleProperties { padding-top:2px; }
+#mdRulesArea { padding:3px; }
 
 /* GMaps specific CSS */
 #iDialogGMapNfo { margin:4px 30px; }
 
+.cbButtons { cursor:default; }
+.cbButtons a { cursor:pointer; }
 
+.waitingResult { margin:30px auto; display:block; }
Index: /extensions/ASearchEngine/ase_pip.class.inc.php
===================================================================
--- /extensions/ASearchEngine/ase_pip.class.inc.php	(revision 7327)
+++ /extensions/ASearchEngine/ase_pip.class.inc.php	(revision 7328)
@@ -106,4 +106,16 @@
     $template->assign('TITLE', $page['title']);
 
+    if($template->get_themeconf('parent')=='gally-default')
+    {
+      $template->assign('PLUGIN_INDEX_ACTIONS' ,
+      '<li><a rel="nofollow" title="'.l10n('return to homepage').'" href="'.make_index_url().'" class="button" id="icon_home"></a></li>');
+    }
+    else
+    {
+      $template->assign('PLUGIN_INDEX_ACTIONS' ,
+      '<li><a href="'.make_index_url().'" title="'.l10n('return to homepage').'"><img src="'.$template->get_themeconf('icon_dir').'/home.png" class="button" alt="'.l10n('home').'"/></a></li>');
+    }
+
+
     $template->clear_assign(array('U_MODE_CREATED', 'U_MODE_POSTED'));
 
Index: /extensions/ASearchEngine/ase_rb_callback_category.class.inc.php
===================================================================
--- /extensions/ASearchEngine/ase_rb_callback_category.class.inc.php	(revision 7327)
+++ /extensions/ASearchEngine/ase_rb_callback_category.class.inc.php	(revision 7328)
@@ -47,8 +47,8 @@
   static public function getFrom($param="")
   {
-    global $prefixeTable;
+    global $prefixeTable, $user;
 
-    return("(".IMAGE_CATEGORY_TABLE." ase_pict JOIN ".CATEGORIES_TABLE." ase_pct
-      ON ase_pict.category_id = ase_pct.id) ");
+    return("((".IMAGE_CATEGORY_TABLE." ase_pict JOIN ".CATEGORIES_TABLE." ase_pct
+      ON ase_pict.category_id = ase_pct.id) JOIN ".USER_CACHE_CATEGORIES_TABLE." ase_pucc ON ase_pucc.cat_id = ase_pct.id AND ase_pucc.user_id='".$user['id']."') ");
   }
 
@@ -115,5 +115,14 @@
      *    );
      */
-    $returned="<span style='font-weight:bold;'>".l10n('Category')."</span>&nbsp;:&nbsp;".$attributes['categoryName'];
+    if(strpos($attributes['categoryName'], '#sep#')>0)
+    {
+      $cat=l10n('Categories');
+      $attributes['categoryName']=str_replace('#sep#', ', ', $attributes['categoryName']);
+    }
+    else
+    {
+      $cat=l10n('Category');
+    }
+    $returned="<span style='font-weight:bold;'>$cat</span>&nbsp;:&nbsp;".$attributes['categoryName'];
 
     return($returned);
Index: /extensions/ASearchEngine/templates/ase_dialog_category_choose.tpl
===================================================================
--- /extensions/ASearchEngine/templates/ase_dialog_category_choose.tpl	(revision 7327)
+++ /extensions/ASearchEngine/templates/ase_dialog_category_choose.tpl	(revision 7328)
@@ -41,5 +41,5 @@
         resizable: false,
         width:765,
-        height:130,
+        height:200,
         modal: true,
         draggable:true,
Index: /extensions/ASearchEngine/templates/ase_dialog_date_choose.tpl
===================================================================
--- /extensions/ASearchEngine/templates/ase_dialog_date_choose.tpl	(revision 7327)
+++ /extensions/ASearchEngine/templates/ase_dialog_date_choose.tpl	(revision 7328)
@@ -50,6 +50,6 @@
         autoOpen: false,
         resizable: false,
-        width:500,
-        height:180,
+        width:550,
+        height:200,
         modal: true,
         draggable:true,
Index: /extensions/ASearchEngine/templates/ase_dialog_keyword_choose.tpl
===================================================================
--- /extensions/ASearchEngine/templates/ase_dialog_keyword_choose.tpl	(revision 7327)
+++ /extensions/ASearchEngine/templates/ase_dialog_keyword_choose.tpl	(revision 7328)
@@ -37,6 +37,6 @@
         autoOpen: false,
         resizable: false,
-        width:500,
-        height:180,
+        width:550,
+        height:200,
         modal: true,
         draggable:true,
Index: /extensions/ASearchEngine/templates/search_page.tpl
===================================================================
--- /extensions/ASearchEngine/templates/search_page.tpl	(revision 7328)
+++ /extensions/ASearchEngine/templates/search_page.tpl	(revision 7328)
@@ -0,0 +1,1 @@
+{$ase_search_page}
Index: /extensions/ASearchEngine/themes/dark/ASEdark.css
===================================================================
--- /extensions/ASearchEngine/themes/dark/ASEdark.css	(revision 7327)
+++ /extensions/ASearchEngine/themes/dark/ASEdark.css	(revision 7328)
@@ -45,5 +45,5 @@
 .cbItem { border:1px solid gray; }
 .gcBgInput a { color:#000000; }
-#iMenuCTitle.cbButtons:hover { border-bottom:#d3d3d3; }
+.cbButtons:hover #iMenuCText { background:#d3d3d3; }
 #iMenuCItems ul { border:1px solid gray; }
 
@@ -53,5 +53,7 @@
 
 legend { color: #FFF48E; }
-form { margin-bottom:10px; }
+
+div#iMenuCaddieBar div#iMenuCaddieItems { z-index:1000; }
+div#iMenuCriterions div#iMenuCItems { margin-left:-1px; }
 
 /* AMD specific CSS */