Index: extensions/gally/gally-default/language/de_DE/theme.lang.php
===================================================================
--- extensions/gally/gally-default/language/de_DE/theme.lang.php	(revision 7313)
+++ extensions/gally/gally-default/language/de_DE/theme.lang.php	(revision 7329)
@@ -60,3 +60,12 @@
 $lang['gally_image_simulate_high_res'] = 'Simuliert für Panoramabilder die Gegenwart eines Bildes in hoher Auflösung';
 
+// v1.3.5 >> need to be translated... thanks :o)
+$lang['gally_image_interface_can_switch']='Interface visibility mode';
+$lang['gally_image_interface_can_switch_desc']='This option determines whether the interface is displayed continuously or if it can be hidden';
+$lang['gally_image_interface_can_switch_yes']='The interface is visible only under the defined rules';
+$lang['gally_image_interface_can_switch_no']='The interface is always visible';
+$lang['gally_display_banner_alternate'] = 'Display an alternative banner';
+$lang['gally_alternate_banner_content'] = 'Alternative banner content:';
+
+
 ?>
Index: extensions/gally/gally-default/language/en_UK/theme.lang.php
===================================================================
--- extensions/gally/gally-default/language/en_UK/theme.lang.php	(revision 7313)
+++ extensions/gally/gally-default/language/en_UK/theme.lang.php	(revision 7329)
@@ -60,4 +60,12 @@
 $lang['gally_image_simulate_high_res'] = 'Simulate the presence of a high resolution image for panoramic images';
 
+// v1.3.5
+$lang['gally_image_interface_can_switch']='Interface visibility mode';
+$lang['gally_image_interface_can_switch_desc']='This option determines whether the interface is displayed continuously or if it can be hidden';
+$lang['gally_image_interface_can_switch_yes']='The interface is visible only under the defined rules';
+$lang['gally_image_interface_can_switch_no']='The interface is always visible';
+$lang['gally_display_banner_alternate'] = 'Display an alternative banner';
+$lang['gally_alternate_banner_content'] = 'Alternative banner content:';
+
 
 ?>
Index: extensions/gally/gally-default/language/it_IT/theme.lang.php
===================================================================
--- extensions/gally/gally-default/language/it_IT/theme.lang.php	(revision 7313)
+++ extensions/gally/gally-default/language/it_IT/theme.lang.php	(revision 7329)
@@ -59,3 +59,13 @@
 $lang['gally_image_simulate_high_res'] = 'Simulare la presenza di una immagine ad alta risoluzione per le immagini panoramiche';
 
+
+// v1.3.5 >> need to be translated... thanks :o)
+$lang['gally_image_interface_can_switch']='Interface visibility mode';
+$lang['gally_image_interface_can_switch_desc']='This option determines whether the interface is displayed continuously or if it can be hidden';
+$lang['gally_image_interface_can_switch_yes']='The interface is visible only under the defined rules';
+$lang['gally_image_interface_can_switch_no']='The interface is always visible';
+$lang['gally_display_banner_alternate'] = 'Display an alternative banner';
+$lang['gally_alternate_banner_content'] = 'Alternative banner content:';
+
+
 ?>
Index: extensions/gally/gally-default/release_notes.txt
===================================================================
--- extensions/gally/gally-default/release_notes.txt	(revision 7313)
+++ extensions/gally/gally-default/release_notes.txt	(revision 7329)
@@ -101,9 +101,9 @@
   |         |            |     theme
   |         |            |
+  | 1.3.4   | 2010-09-29 | * in the gallyjs-tpp.js file, add events
+  |         |            |   . one triggered when image when is scrolled 'scrolled'
+  |         |            |   . one trigerred when the gally interface is ready 'gallyInterfaceReady'
   |         |            |
-  |         |            |
-  |         |            |
-  |         |            |
-  |         |            |
+  | 1.3.5   | 2010-10-21 | * add IT and DE languages
   |         |            |
   |         |            |
Index: extensions/gally/gally-default/themeconf.inc.php
===================================================================
--- extensions/gally/gally-default/themeconf.inc.php	(revision 7313)
+++ extensions/gally/gally-default/themeconf.inc.php	(revision 7329)
@@ -2,5 +2,5 @@
 /*
 Theme Name: Gally
-Version: 1.3.3
+Version: 1.3.5
 Description: Parent theme for all the Gally themes
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=382