Index: extensions/Random_Header/admin/rh_admin.tpl
===================================================================
--- extensions/Random_Header/admin/rh_admin.tpl	(revision 7134)
+++ extensions/Random_Header/admin/rh_admin.tpl	(revision 7330)
@@ -1,21 +1,43 @@
-{html_head}<style type="text/css">
-.randomHeader_fieldset legend{ldelim}color:#ff3363;font-weight:bold;}
-.randomHeader_fieldset{ldelim}width:345px;float:left;overflow-x:auto;padding:5px;margin:3px;}
-.rh_input{ldelim}width:335px;}
+{html_head}
+<link rel="stylesheet" type="text/css" href="plugins/random_header/admin/rh_admin.css">
+{/html_head} 
 
-.themeBox {ldelim}
-display: block;
-width: 185px;
-}
-</style>{/html_head}
-<div class="titrePage"><h2>Random Header v2.1</h2></div>
+
+<div class="titrePage"><h2>Random Header v2.2</h2></div>
 <p>{'rh_description'|@translate}</p>
 <p><i>{'rh_aide'|@translate}</i></p>
 <form method="post" action="" class="properties">
 
-{foreach from=$rhthemes item=i}
-    <fieldset class="randomHeader_fieldset">
+
+<div id="themesContent">
+	<fieldset>
+		<legend>{'rh_active_conf'|@translate}</legend>
+		
+		
+		<div class="themeBoxes">
+		{foreach from=$rhthemes item=i}
+		{if $i.CATSELECTED!=0}
+		
+		
+			<div class="themeBox {$i.THEMEBOXCLASS}">
+				<div class="themeName">{$i.CURRENT_THEME_NAME}</div>
+				<div class="themeShot"><img src="{$i.SCREENSHOT_URL}" alt=""></div>
+				<div class="themeActions">
+					<div>
+						<a href="javascript:void(0)" onclick="document.getElementById('light{$i.CURRENT_THEME_ID}').style.display='block';document.getElementById('fade').style.display='block'" title="">Configurer</a>
+					</div>
+				</div> <!-- themeActions -->
+			</div>
+			
+		
+		
+		
+		
+		
+		<div id="light{$i.CURRENT_THEME_ID}" class="rhconfpanel">
+		<fieldset class="randomHeader_fieldset" style="float:left;">
 			
 			<legend>{'rh_theme'|@translate} : {$i.CURRENT_THEME_NAME}</legend>
+			
 			<p>
 			<label>
@@ -46,10 +68,111 @@
 			
 			<p>
-			<label>{'rh_concat'|@translate} :<br /></label>
-			{'rh_before'|@translate} : <input type="checkbox" {$i.CONCAT_BEFORE} name="{$i.CURRENT_THEME_ID}concat_before"> {'rh_after'|@translate} : <input type="checkbox" {$i.CONCAT_AFTER} name="{$i.CURRENT_THEME_ID}concat_after">
+			<label>{'rh_concat'|@translate} :</label>
+			<input type="checkbox" {$i.CONCAT_BEFORE} name="{$i.CURRENT_THEME_ID}concat_before"> {'rh_before'|@translate} &nbsp; <input type="checkbox" {$i.CONCAT_AFTER} name="{$i.CURRENT_THEME_ID}concat_after"> {'rh_after'|@translate}
 			</p>
 			
 		</fieldset>
-{/foreach}
+		<div  style="float:right;">
+			<a style="border:none;" href="javascript:void(0)" onclick="document.getElementById('light{$i.CURRENT_THEME_ID}').style.display='none';document.getElementById('fade').style.display='none'" titlte="{'Close this window'|@translate}">
+			<img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/exit.png" class="button" alt="exit"></a>
+		</div>
+		<br />
+		<div align="center" style="clear:left;"><input class="submit" type="submit" value="{'rh_submit'|@translate}" name="submit" /></div>
+		
+		
+		
+		</div>	
+
+
+		{/if}
+		{/foreach}
+
+	</fieldset>
+	
+	
+	
+	
+	<fieldset>
+		<legend>{'rh_inactive_conf'|@translate} : </legend>
+		
+		
+		<div class="themeBoxes">
+		{foreach from=$rhthemes item=i}
+		{if $i.CATSELECTED==0}
+		
+		
+			<div class="themeBox {$i.THEMEBOXCLASS}">
+				<div class="themeName">{$i.CURRENT_THEME_NAME}</div>
+				<div class="themeShot"><img src="{$i.SCREENSHOT_URL}" alt=""></div>
+				<div class="themeActions">
+					<div>
+						<a href="javascript:void(0)" onclick="document.getElementById('light{$i.CURRENT_THEME_ID}').style.display='block';document.getElementById('fade').style.display='block'" title="">Configurer</a>
+					</div>
+				</div> <!-- themeActions -->
+			</div>
+			
+		
+		
+		
+		
+		
+		<div id="light{$i.CURRENT_THEME_ID}" class="rhconfpanel">
+		<fieldset class="randomHeader_fieldset" style="float:left;">
+			
+			<legend>{'rh_theme'|@translate} : {$i.CURRENT_THEME_NAME}</legend>
+			
+			<p>
+			<label>
+		      {'rh_headers_category'|@translate}<br />
+		      <select class="categoryDropDown" name="{$i.CURRENT_THEME_ID}selected_cat">
+		        <option value="0">{'rh_inactif'|@translate}</option>
+		        {html_options options=$categories selected=$i.CATSELECTED}
+		      </select>
+		    </label>
+			</p>
+			
+			<p>
+			<input type="checkbox" {$i.MODE_BACKGROUND} name="{$i.CURRENT_THEME_ID}mode_background">
+			<label>{'rh_as_background'|@translate}</label>
+			</p>
+			
+			<p>
+			<input type="checkbox" {$i.ACTIVE_ON_PICTURE} name="{$i.CURRENT_THEME_ID}active_on_picture">
+			<label>{'rh_on_picture'|@translate}</label>
+			</p>
+			
+			<p>
+			<label>{'rh_additional_css'|@translate} :<br /></label>
+			<i>#theHeader :</i><br />
+			<input class="rh_input" type="text" name="{$i.CURRENT_THEME_ID}head_css" value="{$i.HEAD_CSS}"><br />
+			<i>#RandomImage : {'rh_inactif_on_bg'|@translate}</i><br /><input class="rh_input"  type="text" name="{$i.CURRENT_THEME_ID}img_css" value="{$i.IMG_CSS}"><br />
+			</p>
+			
+			<p>
+			<label>{'rh_concat'|@translate} :</label>
+			<input type="checkbox" {$i.CONCAT_BEFORE} name="{$i.CURRENT_THEME_ID}concat_before"> {'rh_before'|@translate} &nbsp; <input type="checkbox" {$i.CONCAT_AFTER} name="{$i.CURRENT_THEME_ID}concat_after"> {'rh_after'|@translate}
+			</p>
+			
+		</fieldset>
+		<div  style="float:right;">
+			<a style="border:none;" href="javascript:void(0)" onclick="document.getElementById('light{$i.CURRENT_THEME_ID}').style.display='none';document.getElementById('fade').style.display='none'" titlte="{'Close this window'|@translate}">
+			<img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/exit.png" class="button" alt="exit"></a>
+		</div>
+		<br />
+		<div align="center" style="clear:left;"><input class="submit" type="submit" value="{'rh_submit'|@translate}" name="submit" /></div>
+		
+		
+		
+		</div>	
+
+
+		{/if}
+		{/foreach}
+
+	</fieldset>
+	
+</div>  
+<div id="fade" class="black_overlay"></div> 
+ 
 <div align="center" style="clear:left"><input class="submit" type="submit" value="{'rh_submit'|@translate}" name="submit" /></div>
 </form>