Index: extensions/AdditionalPages/language/ru_RU/description.txt
===================================================================
--- extensions/AdditionalPages/language/ru_RU/description.txt	(revision 7331)
+++ extensions/AdditionalPages/language/ru_RU/description.txt	(revision 7331)
@@ -0,0 +1,1 @@
+Добавить дополнительные страницы в меню.
Index: extensions/AdditionalPages/language/ru_RU/index.php
===================================================================
--- extensions/AdditionalPages/language/ru_RU/index.php	(revision 7331)
+++ extensions/AdditionalPages/language/ru_RU/index.php	(revision 7331)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/AdditionalPages/language/ru_RU/plugin.lang.php
===================================================================
--- extensions/AdditionalPages/language/ru_RU/plugin.lang.php	(revision 7331)
+++ extensions/AdditionalPages/language/ru_RU/plugin.lang.php	(revision 7331)
@@ -0,0 +1,41 @@
+<?php
+
+$lang['ap_add_page'] = 'Добавить страницу';
+
+$lang['ap_create'] = 'Создать новую дополнительную сраницу';
+$lang['ap_deleted_page'] = 'Страница удалена (<a href="' .PHPWG_ROOT_PATH . '">на главную</a>)';
+$lang['ap_no_name'] = 'Введите название страницы';
+$lang['ap_saved_page'] = 'Cтраница сохранена (<a href="' .PHPWG_ROOT_PATH . 'index.php?/additional_page/%s">просмотреть страницу</a>)';
+$lang['ap_modify'] = 'Изменить дополнительную страницу';
+$lang['ap_all_lang'] = 'Все';
+$lang['ap_all_group'] = 'Все';
+
+$lang['ap_conf_saved'] = 'Конфигурация сохранена';
+
+$lang['ap_page_name'] = 'Название страницы';
+$lang['ap_page_lang'] = 'Язык';
+$lang['ap_default_language'] = 'По умолчанию';
+$lang['ap_page_pos'] = 'Положение';
+$lang['ap_authorized_group'] = 'Авторизованные группы пользователей';
+$lang['ap_authorized_users'] = 'Авторизованные пользователи';
+$lang['ap_select_all'] = 'Выбрать все';
+$lang['ap_unselect_all'] = 'Снять выделение';
+$lang['ap_guest'] = '(оставьте пустым для общедоступных страниц)';
+$lang['ap_pos0'] = '0 - не показывать страницу в меню';
+$lang['ap_page_content'] = 'Содержимое';
+$lang['ap_save'] = 'Сохранить';
+$lang['ap_delete'] = 'Удалить';
+
+$lang['ap_config'] = 'Настройки';
+$lang['ap_menu_name'] = 'Название меню';
+$lang['ap_show_menu'] = 'Показывать меню';
+$lang['ap_redirect'] = 'Автоматически перенаправлять на сохраненную страницу';
+$lang['ap_show_home'] = 'Показывать кнопку "На главную" на дополнительных страницах';
+$lang['ap_show_edit'] = 'Показывать ссылку редактирования страницы в меню';
+$lang['ap_perm'] = 'Активировать управление авторизацией:';
+$lang['ap_group_perm'] = 'для групп пользователей';
+$lang['ap_user_perm'] = 'для типов пользователей';
+$lang['ap_parse_bbcode'] = 'Конвертировать страницы с BBCode';
+$lang['ap_convert_bbcode_ok'] = 'Конвертирование выполнено';
+
+?>