Index: /extensions/Random_Header/language/hu_HU/description.txt
===================================================================
--- /extensions/Random_Header/language/hu_HU/description.txt	(revision 7333)
+++ /extensions/Random_Header/language/hu_HU/description.txt	(revision 7333)
@@ -0,0 +1,1 @@
+A bővítmény lehetővé teszi, hogy egy kiválasztott kategóriából véletlenszerűen képet jelenítsen meg a fejlécben akár normál képként, akár háttérként.
Index: /extensions/Random_Header/language/hu_HU/index.php
===================================================================
--- /extensions/Random_Header/language/hu_HU/index.php	(revision 7333)
+++ /extensions/Random_Header/language/hu_HU/index.php	(revision 7333)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Random_Header/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/Random_Header/language/hu_HU/plugin.lang.php	(revision 7333)
+++ /extensions/Random_Header/language/hu_HU/plugin.lang.php	(revision 7333)
@@ -0,0 +1,39 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['rh_description'] 		= 'A bővítmény lehetővé teszi, hogy a fejlécben megjelenítsen egy véletlenszerűen kiválasztott képet egy kiválasztott kategóriából akár normál képként, akár háttérként.';
+$lang['rh_submit'] 				= 'Mentés';
+$lang['rh_before'] 				= 'előtt';
+$lang['rh_after'] 				= 'után';
+$lang['rh_concat'] 				= 'Megjelenítés az oldal banner';
+$lang['rh_as_background'] 		= 'Eredeti háttérkép tiltása';
+$lang['rh_on_picture'] 			= 'Bakapcsolva a kép oldalon';
+$lang['rh_headers_category'] 	= 'Kategória fejléc képek';
+$lang['rh_theme'] 				= 'Téma';
+$lang['rh_inactif'] 			= 'Tiltva a témánál';
+$lang['rh_aide'] 				= 'Info :<br />A KÉP MINDENKI ÁLTAL LÁTHATÓ (nem privát kategória)<br />CSS stílus a képre (#RandomImage) háttér üzemmódban nem használható<br>CSS szövegmezőnél a CSS-re tekintettel kell lenni (pl.: "overflow:auto;color:red;")<br />Háttér mód esetén figyelni kell az <a href="admin.php?page=configuration">oldal fejléc</a> tiltására';
+$lang['rh_additional_css'] 		= 'További Stílus CSS';
+$lang['rh_inactif_on_bg']		= 'háttér üzemmódot kikapcsolni';
+$lang['rh_active_conf']			= 'Random Header beállítva a témáknál';
+$lang['rh_inactive_conf']		= 'Random Header nincs beállítva a témáknál';
+?>