Index: /extensions/gally/gally-cuise/admin/maintain.inc.php
===================================================================
--- /extensions/gally/gally-cuise/admin/maintain.inc.php	(revision 7336)
+++ /extensions/gally/gally-cuise/admin/maintain.inc.php	(revision 7337)
@@ -1,7 +1,14 @@
 <?php
+
+include_once(PHPWG_THEMES_PATH.'gally-default/admin/Conf.class.inc.php');
+
 
 function theme_activate($id, $version, &$errors)
 {
-
+  $config = new Conf();
+  $config->setFileName(PHPWG_ROOT_PATH."local/themes/gally-cuise/conf/local.conf");
+  $config->read(false);
+  $config->setConf(array('menuAnimated'=>'fade'), false);
+  $config->write();
 }
 
Index: /extensions/gally/gally-default/admin/GallyDefault.class.inc.php
===================================================================
--- /extensions/gally/gally-default/admin/GallyDefault.class.inc.php	(revision 7336)
+++ /extensions/gally/gally-default/admin/GallyDefault.class.inc.php	(revision 7337)
@@ -52,4 +52,5 @@
     $this->setDirectoryPrivate('templates.local', $templateDirectory);
 
+
     $this->setDirectoryPrivate('conf.parent', dirname(dirname(__FILE__)).'/conf');
     $this->setDirectoryPrivate('conf.local', $confDirectory);
@@ -89,4 +90,6 @@
     $this->config = new Conf();
     $this->config->setFileName($this->directories['conf.parent']."/default.conf");
+    $this->config->read();
+    $this->config->setFileName($this->directories['conf.local']."/default.conf");
     $this->config->read();
     $this->config->setFileName(PHPWG_ROOT_PATH."local/themes/".basename(dirname($this->directories['conf.local']))."/conf/local.conf");
Index: /extensions/gally/gally-default/js/gallyjs-tpp.js
===================================================================
--- /extensions/gally/gally-default/js/gallyjs-tpp.js	(revision 7336)
+++ /extensions/gally/gally-default/js/gallyjs-tpp.js	(revision 7337)
@@ -4,5 +4,5 @@
   ------------------------------------------------------------------------------
   file: gally/gallyjs-tpp.js
-  file release: 1.2.0
+  file release: 1.3.4
   ------------------------------------------------------------------------------
   author: grum at grum.dnsalias.com
@@ -157,5 +157,5 @@
   $(window).resize( function () { initializeImageMode("resize"); } );
 
-  $(document).data("initialized", 1);
+  $(document).data("initialized", 1).trigger('gallyInterfaceReady');
 }
 
@@ -214,5 +214,7 @@
         deadArea = $("#navThumbPrev").attr("clientWidth")*1.2;
         mouse=Math.max(Math.min(event.clientX-this.offsetLeft, this.clientWidth - deadArea), deadArea);
-        $("#theImg").css("left",Math.round(($("#theImg").attr("scrollWidth")-this.clientWidth) * -(mouse-deadArea)/(this.clientWidth-2*deadArea))+"px");
+        $("#theImg")
+          .css("left",Math.round(($("#theImg").attr("scrollWidth")-this.clientWidth) * -(mouse-deadArea)/(this.clientWidth-2*deadArea))+"px")
+          .trigger('scrolled');
       }
     );
Index: /extensions/gally/gally-default/release_notes.txt
===================================================================
--- /extensions/gally/gally-default/release_notes.txt	(revision 7336)
+++ /extensions/gally/gally-default/release_notes.txt	(revision 7337)
@@ -107,6 +107,6 @@
   | 1.3.5   | 2010-10-21 | * add IT and DE languages
   |         |            |
-  |         |            |
-  |         |            |
+  |         |            | * mantis bug:1948
+  |         |            |   . default conf file is not the right conf file 
   |         |            |
   |         |            |
Index: /extensions/gally/gally-graphite/admin/maintain.inc.php
===================================================================
--- /extensions/gally/gally-graphite/admin/maintain.inc.php	(revision 7336)
+++ /extensions/gally/gally-graphite/admin/maintain.inc.php	(revision 7337)
@@ -1,7 +1,13 @@
 <?php
+
+include_once(PHPWG_THEMES_PATH.'gally-default/admin/Conf.class.inc.php');
 
 function theme_activate($id, $version, &$errors)
 {
-
+  $config = new Conf();
+  $config->setFileName(PHPWG_ROOT_PATH."local/themes/gally-graphite/conf/local.conf");
+  $config->read(false);
+  $config->setConf(array('menuAnimated'=>'none'), false);
+  $config->write();
 }
 
Index: /extensions/gally/gally-graphite/themeconf.inc.php
===================================================================
--- /extensions/gally/gally-graphite/themeconf.inc.php	(revision 7336)
+++ /extensions/gally/gally-graphite/themeconf.inc.php	(revision 7337)
@@ -2,5 +2,5 @@
 /*
 Theme Name: Gally/Graphite
-Version: 1.3.0
+Version: 1.3.5
 Description: Grey theme
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=381
@@ -10,4 +10,5 @@
 
 $themeconf = array(
+  'name' => 'gally-graphite',
   'theme' => 'gally-graphite',
   'parent' => 'gally-default',
Index: /extensions/gally/gally-grum-dark-II/admin/maintain.inc.php
===================================================================
--- /extensions/gally/gally-grum-dark-II/admin/maintain.inc.php	(revision 7336)
+++ /extensions/gally/gally-grum-dark-II/admin/maintain.inc.php	(revision 7337)
@@ -1,7 +1,14 @@
 <?php
+
+include_once(PHPWG_THEMES_PATH.'gally-default/admin/Conf.class.inc.php');
+
 
 function theme_activate($id, $version, &$errors)
 {
-
+  $config = new Conf();
+  $config->setFileName(PHPWG_ROOT_PATH."local/themes/gally-grum-dark-II/conf/local.conf");
+  $config->read(false);
+  $config->setConf(array('menuAnimated'=>'fade'), false);
+  $config->write();
 }
 
Index: /extensions/gally/gally-grum-dark-II/themeconf.inc.php
===================================================================
--- /extensions/gally/gally-grum-dark-II/themeconf.inc.php	(revision 7336)
+++ /extensions/gally/gally-grum-dark-II/themeconf.inc.php	(revision 7337)
@@ -2,5 +2,5 @@
 /*
 Theme Name: Gally/Grum dark II
-Version: 1.3.0
+Version: 1.3.5
 Description: Dark theme
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=371
@@ -10,4 +10,5 @@
 
 $themeconf = array(
+  'name' => 'gally-grum-dark-II',
   'theme' => 'gally-grum-dark-II',
   'parent' => 'gally-default',
Index: /extensions/gally/gally-lapis-lazuli/themeconf.inc.php
===================================================================
--- /extensions/gally/gally-lapis-lazuli/themeconf.inc.php	(revision 7336)
+++ /extensions/gally/gally-lapis-lazuli/themeconf.inc.php	(revision 7337)
@@ -2,5 +2,5 @@
 /*
 Theme Name: Gally/Lapis-lazuli
-Version: 1.3.0
+Version: 1.3.5
 Description: Blue theme
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=380
@@ -12,4 +12,5 @@
 
 $themeconf = array(
+  'name' => 'gally-lapis-lazuli',
   'theme' => 'gally-lapis-lazuli',
   'parent' => 'gally-default',