Index: extensions/gally/gally-graphite/css/ASEgally-graphite.css
===================================================================
--- extensions/gally/gally-graphite/css/ASEgally-graphite.css	(revision 7339)
+++ extensions/gally/gally-graphite/css/ASEgally-graphite.css	(revision 7339)
@@ -0,0 +1,87 @@
+
+/* ---- Themes colors ---- */
+.gcText { color: #999999; }
+.gcText2 { color: #999999; }
+.gcText3 { color: #333333; }
+.gcTextInput { color:#333333; font-family:monospace; }             /* used for inputs */
+.gcLink { color: #F0F0F0; }                 /* used for link */
+.gcLinkHover { color: #F0F0F0; }            /* used for link */
+.gcBgPage { background-color: #333333; }               /* used for page background */
+.gcBgTabSheet { background-color: #333333; }           /* used inside tabsheet & menu */
+.gcBgTableRow1 { background-color: #000000; }            /* used in for tables rows background */
+.gcBgTableRow2 { background-color: #333333; }            /* used in tables rows & some widgets background */
+.gcBgInput { background-color:#F0F0F0; }                      /* used for inputs */
+.gcBorder    { border: 1px solid #606060; }            /* used for borders */
+.gcBorder2   { border: 1px solid #606060; }            /* used for widgets borders */
+.gcBorderInput { border: 1px solid #606060; }           /* used for inputs */
+.cPnDisabled { cursor:default; color:#666666; }
+.pnInactive:hover { background:#606060; color:#F0F0F0; }
+.pnActive { background:#333333; color:#F0F0F0; font-weight:bold; }
+
+.ui-datepicker, .ui-category-selector, .ui-category-selector-list {
+  background-color:#F0F0F0;
+  color:#333333;
+  border-color:#606060;
+}
+.ui-datepicker-title { color:#f0f0f0; font-weight:bold; }
+.ui-datepicker td a { color:#333333; }
+.ui-datepicker td:hover { background-color:#606060; }
+.ui-datepicker td:hover a { color:#f0f0f0; }
+.ui-datepicker td.ui-datepicker-current-day { background-color:#333333; }
+.ui-datepicker td.ui-datepicker-current-day a { color:#f0f0f0; }
+.ui-category-selector-arrow { color:#333333; }
+.ui-category-selector, .ui-category-selector-list { font-family:monospace; }
+li.ui-category-selector-item:hover { background-color:#606060; color:#f0f0f0; }
+.ui-category-selector-selected-item { background-color:#333333; color:#f0f0f0; }
+
+
+.ui-category-selector-expandable-item { background-image:url(./../icon/asearchengine/expand_b.png); }
+.ui-category-selector-collapsable-item { background-image:url(./../icon/asearchengine/collapse_b.png); }
+.ui-category-selector-expandable-item:hover, .ui-category-selector-selected-item.ui-category-selector-expandable-item { background-image:url(./../icon/asearchengine/expand.png); }
+.ui-category-selector-collapsable-item:hover, .ui-category-selector-selected-item.ui-category-selector-collapsable-item { background-image:url(./../icon/asearchengine/collapse.png); }
+li.ui-category-selector-item div.ui-category-selector-check { background-image:url(./../icon/asearchengine/check_notchecked.png); }
+li.ui-category-selector-selected-item div.ui-category-selector-check { background-image:url(./../icon/asearchengine/check_checked.png); }
+
+
+.ui-dialog-titlebar {
+  display:block;
+  padding-left:6px;
+  border:none;
+}
+
+fieldset { margin:3px 18px; }
+#iResultQuery { margin-bottom:0px; }
+div.cbOperatorBg, .cbButtons, .ui-dialog-titlebar,
+.ui-datepicker .ui-datepicker-header { background:#606060; }
+
+
+.cbButtons { border:1px solid #333333; }
+.cbButtons:hover {
+  background:#333333;
+  border:1px solid #606060;
+}
+
+input.cRequestCriterions {
+  margin-left:30px;
+  margin-top:10px;
+}
+
+#iMenuCItems ul {
+  background:#333333;
+  border:1px solid #606060;
+}
+#iMenuCItems ul li, .cbButtons:hover #iMenuCText { background:#333333; }
+
+div#iMenuCaddieBar div#iMenuCaddieItems { z-index:8600; }
+div#iMenuCriterions div#iMenuCItems { margin-left:-1px; }
+div#iMenuCaddieText, div#iMenuCaddieText a { color:#333333;}
+
+/* AMD specific CSS */
+span.tagName { border-right:1px dotted #666666; }
+#iTagList { border-top:1px solid #101010; }
+#iTagList li:hover { cursor:pointer; background:#606060; color:#f0f0f0; }
+#iTagList.selected, #iTagList li.gcText3 { background:#333333; color:#f0f0f0; }
+div.ruleTypeM, div.ruleTypeM2 { border:0px solid #666666; }
+.error, input.error { background:#FFAAAA; border:1px solid #800000; color:#800000; }
+#mdRulesArea { border-top:1px solid #333333; }
+
Index: extensions/gally/gally-graphite/css/theme.css
===================================================================
--- extensions/gally/gally-graphite/css/theme.css	(revision 7337)
+++ extensions/gally/gally-graphite/css/theme.css	(revision 7339)
@@ -4,5 +4,5 @@
   ------------------------------------------------------------------------------
   file: gally/graphite/theme.css
-  file version: 1.1.0
+  file version: 1.2.0
   date: 2008-11-11
   ------------------------------------------------------------------------------
@@ -998,2 +998,15 @@
 }
 
+
+
+/*
+ * GMaps compatibility
+ */
+#icon_gmaps.size42x28 {
+  background:url(./../icon/gmaps/i42x28.png);
+  width:42px;
+  height:28px;
+}
+#icon_gmaps.size42x28:hover {
+  background:url(./../icon/gmaps/i42x28_h.png);
+}
Index: extensions/gally/gally-grum-dark-II/css/ASEgally-grum-dark-II.css
===================================================================
--- extensions/gally/gally-grum-dark-II/css/ASEgally-grum-dark-II.css	(revision 7339)
+++ extensions/gally/gally-grum-dark-II/css/ASEgally-grum-dark-II.css	(revision 7339)
@@ -0,0 +1,87 @@
+
+/* ---- Themes colors ---- */
+.gcText { color: #DEDEDE; }
+.gcText2 { color: #DEDEDE; }
+.gcText3 { color: #303030; }
+.gcTextInput { color:#333333; font-family:monospace; }             /* used for inputs */
+.gcLink { color: #52FF97; }                 /* used for link */
+.gcLinkHover { color: #FFFF80; }            /* used for link */
+.gcBgPage { background-color: #000000; }               /* used for page background */
+.gcBgTabSheet { background-color: #101010; }           /* used inside tabsheet & menu */
+.gcBgTableRow1 { background-color: #000000; }            /* used in for tables rows background */
+.gcBgTableRow2 { background-color: #101010; }            /* used in tables rows & some widgets background */
+.gcBgInput { background-color:#F0F0F0; }                      /* used for inputs */
+.gcBorder    { border: 1px solid #303030; }            /* used for borders */
+.gcBorder2   { border: 1px solid #303030; }            /* used for widgets borders */
+.gcBorderInput { border: 1px solid #303030; }           /* used for inputs */
+.cPnDisabled { cursor:default; color:#666666; }
+.pnInactive:hover { background:#606060; color:#F0F0F0; }
+.pnActive { background:#303030; color:#F0F0F0; font-weight:bold; }
+
+.ui-datepicker, .ui-category-selector, .ui-category-selector-list {
+  background-color:#F0F0F0;
+  color:#303030;
+  border-color:#303030;
+}
+.ui-datepicker-title { color:#f0f0f0; font-weight:bold; }
+.ui-datepicker td a { color:#303030; }
+.ui-datepicker td:hover { background-color:#606060; }
+.ui-datepicker td:hover a { color:#f0f0f0; }
+.ui-datepicker td.ui-datepicker-current-day { background-color:#303030; }
+.ui-datepicker td.ui-datepicker-current-day a { color:#f0f0f0; }
+.ui-category-selector-arrow { color:#303030; }
+.ui-category-selector, .ui-category-selector-list { font-family:monospace; }
+li.ui-category-selector-item:hover { background-color:#606060; color:#f0f0f0; }
+.ui-category-selector-selected-item { background-color:#303030; color:#f0f0f0; }
+
+
+.ui-category-selector-expandable-item { background-image:url(./../icon/asearchengine/expand_b.png); }
+.ui-category-selector-collapsable-item { background-image:url(./../icon/asearchengine/collapse_b.png); }
+.ui-category-selector-expandable-item:hover, .ui-category-selector-selected-item.ui-category-selector-expandable-item { background-image:url(./../icon/asearchengine/expand.png); }
+.ui-category-selector-collapsable-item:hover, .ui-category-selector-selected-item.ui-category-selector-collapsable-item { background-image:url(./../icon/asearchengine/collapse.png); }
+li.ui-category-selector-item div.ui-category-selector-check { background-image:url(./../icon/asearchengine/check_notchecked.png); }
+li.ui-category-selector-selected-item div.ui-category-selector-check { background-image:url(./../icon/asearchengine/check_checked.png); }
+
+
+.ui-dialog-titlebar {
+  display:block;
+  padding-left:6px;
+  border:none;
+}
+
+fieldset { margin:3px 18px; }
+#iResultQuery { margin-bottom:0px; }
+div.cbOperatorBg, .cbButtons, .ui-dialog-titlebar,
+.ui-datepicker .ui-datepicker-header { background:#303030; }
+
+
+.cbButtons { border:1px solid #000000; }
+.cbButtons:hover {
+  background:#000000;
+  border:1px solid #303030;
+}
+
+input.cRequestCriterions {
+  margin-left:30px;
+  margin-top:10px;
+}
+
+#iMenuCItems ul {
+  background:#000000;
+  border:1px solid #303030;
+}
+#iMenuCItems ul li, .cbButtons:hover #iMenuCText { background:#000000; }
+
+div#iMenuCaddieBar div#iMenuCaddieItems { z-index:8600; }
+div#iMenuCriterions div#iMenuCItems { margin-left:-1px; }
+div#iMenuCaddieText, div#iMenuCaddieText a { color:#303030;}
+
+/* AMD specific CSS */
+span.tagName { border-right:1px dotted #666666; }
+#iTagList { border-top:1px solid #101010; }
+#iTagList li:hover { cursor:pointer; background:#606060; color:#f0f0f0; }
+#iTagList.selected, #iTagList li.gcText3 { background:#303030; color:#f0f0f0; }
+div.ruleTypeM, div.ruleTypeM2 { border:0px solid #666666; }
+.error, input.error { background:#FFAAAA; border:1px solid #800000; color:#800000; }
+#mdRulesArea { border-top:1px solid #303030; }
+
Index: extensions/gally/gally-grum-dark-II/css/theme.css
===================================================================
--- extensions/gally/gally-grum-dark-II/css/theme.css	(revision 7337)
+++ extensions/gally/gally-grum-dark-II/css/theme.css	(revision 7339)
@@ -1078,2 +1078,15 @@
 
 
+
+/*
+ * GMaps compatibility
+ */
+#icon_gmaps.size42x28 {
+  background:url(./../icon/gmaps/i42x28.png);
+  width:42px;
+  height:28px;
+}
+#icon_gmaps.size42x28:hover {
+  background:url(./../icon/gmaps/i42x28_h.png);
+}
+
Index: extensions/gally/gally-lapis-lazuli/css/ASEgally-lapis-lazuli.css
===================================================================
--- extensions/gally/gally-lapis-lazuli/css/ASEgally-lapis-lazuli.css	(revision 7339)
+++ extensions/gally/gally-lapis-lazuli/css/ASEgally-lapis-lazuli.css	(revision 7339)
@@ -0,0 +1,111 @@
+
+/* ---- Themes colors ---- */
+.gcText { color: #DEDEDE; }                 /* used for text */
+.gcText2 { color: #DEDEDE; }                /* used for table header */
+.gcText3 { color: #0088EE; }                /* used for tabs text */
+.gcTextInput { color:#333333; font-family:monospace; }             /* used for inputs */
+.gcLink { color: #0088EE; }                 /* used for link */
+.gcLinkHover { color: #F07D00; }            /* used for link */
+.gcBgPage { background-color: #000000; }               /* used for page background */
+.gcBgTabSheet { background-color: #101010; }           /* used inside tabsheet & menu */
+.gcBgTableRow1 { background-color: #000000; }            /* used in for tables rows background */
+.gcBgTableRow2 { background-color: #101010; }            /* used in tables rows & some widgets background */
+.gcBgInput { background-color:#F0F0F0; }                      /* used for inputs */
+.gcBorder    { border: 1px solid #FFFFFF; }            /* used for borders */
+.gcBorder2   { border: 1px solid #FFFFFF; }            /* used for widgets borders */
+.gcBorderInput { border: 1px solid #303030; }           /* used for inputs */
+.cPnDisabled { cursor:default; color:#666666; }
+.pnInactive:hover { background:#606060; color:#F0F0F0; }
+.pnActive { background:#303030; color:#F0F0F0; font-weight:bold; }
+
+.ui-datepicker, .ui-category-selector, .ui-category-selector-list {
+  background-color:#F0F0F0;
+  color:#333333;
+  border-color:#101010;
+}
+.ui-datepicker-title { color:#f0f0f0; font-weight:bold; }
+.ui-datepicker td:hover { background-color:#606060; color:#f0f0f0; }
+.ui-datepicker td.ui-datepicker-current-day { background-color:#303030; color:#f0f0f0; }
+.ui-category-selector-arrow { color:#0088EE; }
+.ui-category-selector, .ui-category-selector-list { font-family:monospace; }
+li.ui-category-selector-item:hover { background-color:#606060; color:#f0f0f0; }
+.ui-category-selector-selected-item { background-color:#303030; color:#f0f0f0; }
+
+.ui-category-selector-expandable-item { background-image:url(./../icon/asearchengine/expand_b.png); }
+.ui-category-selector-collapsable-item { background-image:url(./../icon/asearchengine/collapse_b.png); }
+.ui-category-selector-expandable-item:hover, .ui-category-selector-selected-item.ui-category-selector-expandable-item { background-image:url(./../icon/asearchengine/expand.png); }
+.ui-category-selector-collapsable-item:hover, .ui-category-selector-selected-item.ui-category-selector-collapsable-item { background-image:url(./../icon/asearchengine/collapse.png); }
+li.ui-category-selector-item div.ui-category-selector-check { background-image:url(./../icon/asearchengine/check_notchecked.png); }
+li.ui-category-selector-selected-item div.ui-category-selector-check { background-image:url(./../icon/asearchengine/check_checked.png); }
+
+
+.ui-dialog {
+  -moz-border-radius:8px 8px 4px 4px;
+  -webkit-border-radius:8px 8px 4px 4px;
+  -khtml-border-radius:8px 8px 4px 4px;
+  border-radius:8px 8px 4px 4px;
+}
+.ui-dialog-titlebar {
+  display:block;
+  -moz-border-radius:8px 8px 0 0;
+  -webkit-border-radius:8px 8px 0 0;
+  -khtml-border-radius:8px 8px 0 0;
+  border-radius:8px 8px 0 0;
+  padding-left:6px;
+}
+
+
+fieldset { margin:3px 18px; }
+#iResultQuery { margin-bottom:0px; }
+div.cbOperatorBg, .cbButtons, .ui-dialog-titlebar,
+.ui-datepicker .ui-datepicker-header { background:url("./../icon/backgd.png") repeat scroll 0 0 #303030; }
+
+.cbItem, .pnInactive, .pnActive {
+  -moz-border-radius:4px;
+  -webkit-border-radius:4px;
+  -khtml-border-radius:4px;
+  border-radius:4px;
+}
+.cbButtons { border:1px solid #000000; }
+.cbButtons:hover {
+  background:#000000;
+  border:1px solid #ffffff;
+  -moz-border-radius:4px;
+  -webkit-border-radius:4px;
+  -khtml-border-radius:4px;
+  border-radius:4px;
+}
+
+input.cRequestCriterions {
+  margin-left:30px;
+  margin-top:10px;
+}
+
+#iMenuCItems ul {
+  background:#000000;
+  border:1px solid #ffffff;
+  -moz-border-radius:0px 4px 4px 4px;
+  -webkit-border-radius:0px 4px 4px 4px;
+  -khtml-border-radius:0px 4px 4px 4px;
+  border-radius:0px 4px 4px 4px;
+}
+#iMenuCItems ul li, .cbButtons:hover #iMenuCText { background:#000000; }
+#iMenuCTitle:hover {
+  -moz-border-radius:4px 4px 0px 0px;
+  -webkit-border-radius:4px 4px 0px 0px;
+  -khtml-border-radius:4px 4px 0px 0px;
+  border-radius:4px 4px 0px 0px;
+}
+
+div#iMenuCaddieBar div#iMenuCaddieItems { z-index:1000; }
+div#iMenuCriterions div#iMenuCItems { margin-left:-1px; }
+
+/* AMD specific CSS */
+span.tagName { border-right:1px dotted #666666; }
+#iTagList { border-top:1px solid #101010; }
+#iTagList li:hover { cursor:pointer; background:#606060; color:#f0f0f0; }
+#iTagList.selected, #iTagList li.gcText3 { background:#303030; color:#f0f0f0; }
+div.ruleTypeM, div.ruleTypeM2 { border:0px solid #666666; }
+.error, input.error { background:#FFAAAA; border:1px solid #800000; color:#800000; }
+
+
Index: extensions/gally/gally-lapis-lazuli/css/theme.css
===================================================================
--- extensions/gally/gally-lapis-lazuli/css/theme.css	(revision 7337)
+++ extensions/gally/gally-lapis-lazuli/css/theme.css	(revision 7339)
@@ -4,5 +4,5 @@
   ------------------------------------------------------------------------------
   file: gally/lapis-lazuli/theme.css
-  file version: 1.2.0
+  file version: 1.2.1
   ------------------------------------------------------------------------------
   author: grum at grum.dnsalias.com
@@ -74,5 +74,5 @@
 
 a {
-  color: #0066cc;
+  color: #0088EE;
 }
 
@@ -534,5 +534,5 @@
 .thumbnailCategory:hover {
   background-color:#dedede;
-  border:2px solid #0066cc;
+  border:2px solid #0088EE;
   color:#101010;
 }
@@ -671,5 +671,5 @@
 
 #menubar dl:hover dt, #menubar dl:hover dt a {
-  color:#0066cc;
+  color:#0088EE;
 }
 
@@ -1087,5 +1087,5 @@
 
 .infoTable tr:hover {
-  color:#0066cc;
+  color:#0088EE;
   cursor:default;
 }
@@ -1211,4 +1211,5 @@
 #theTabsBg {
   background:#303030 url(./../icon/backgd.png) repeat scroll 0 0;
+  border-bottom:1px solid #606060;
 }
 
@@ -1479,2 +1480,16 @@
   padding:0px;
 }
+
+
+
+/*
+ * GMaps compatibility
+ */
+#icon_gmaps.size42x28 {
+  background:url(./../icon/gmaps/i42x28.png);
+  width:42px;
+  height:28px;
+}
+#icon_gmaps.size42x28:hover {
+  background:url(./../icon/gmaps/i42x28_h.png);
+}