Index: extensions/PWG_Stuffs/admin/manage.php
===================================================================
--- extensions/PWG_Stuffs/admin/manage.php	(revision 7336)
+++ extensions/PWG_Stuffs/admin/manage.php	(revision 7340)
@@ -18,9 +18,15 @@
 WHERE id=' . $id . ' LIMIT 1');
   }
+
+    pwg_query('
+UPDATE ' . STUFFS_TABLE . '
+SET datas = "'.addslashes(serialize(array('hide' => isset($_POST['hidemb'])))).'"
+WHERE id=0;');
+
   array_push($page['infos'], l10n('stuffs_order_saved'));
 }
 
 // Affichage des modules et de leur position
-$q = 'SELECT id, name, descr, type, id_line, width
+$q = 'SELECT id, name, descr, type, id_line, width, datas
 FROM ' . STUFFS_TABLE . '
 ORDER BY pos ASC;';
@@ -60,4 +66,10 @@
     'U_DELETE' => !is_adviser() ? PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . STUFFS_DIR . '%2Fadmin%2Fadmin.php&amp;del=' . $module['id'] : '',
   ));
+
+  if ($module['type'] == 'MainBlock' and !empty($module['datas']))
+  {
+    $datas = unserialize($module['datas']);
+    $template->assign('HIDEMB', $datas['hide']); 
+  }
 }
 
Index: extensions/PWG_Stuffs/admin/template/manage.tpl
===================================================================
--- extensions/PWG_Stuffs/admin/template/manage.tpl	(revision 7336)
+++ extensions/PWG_Stuffs/admin/template/manage.tpl	(revision 7340)
@@ -53,5 +53,4 @@
       {if $module.TYPE != 'MainBlock'}
       <ul class="categoryActions">
-        {if $module.TYPE != 'MainBlock'}
         <li class="stuffs_line">
           {'stuffs_id_ligne'|@translate}&nbsp;
@@ -64,5 +63,4 @@
           <input type="text" size="2" maxlength="2" value="{$module.WIDTH}" name="width[{$module.ID}]" > %
         </li>
-        {/if}
         <li><a href="{$module.U_EDIT}" title="{'stuffs_edit'|@translate}"><img src="{$themeconf.admin_icon_dir}/category_edit.png" class="button" alt="{'stuffs_edit'|@translate}"/></a></li>
         {if !empty($module.U_DELETE) }
@@ -79,5 +77,7 @@
 
       {if !empty($module.DESC)}
-      <p style="margin-left: 30px;"><i>{$module.DESC}</i></p>
+        <p style="margin-left: 30px;"><i>{$module.DESC}</i></p>
+      {elseif $module.TYPE == 'MainBlock'}
+        <p style="margin-left: 30px;"><input name="hidemb" type="checkbox" {if $HIDEMB}checked="checked"{/if}> &nbsp;{'Hide on home page'|@translate}</p>
       {/if}
 
@@ -97,32 +97,2 @@
   </p>
 </form>
-
-
-
-{*
-	<legend>{'stuffs_mods_management'|@translate}</legend>
-	<table class="table2">
-	<thead>
-		<tr class="throw">
-  		<td>{'stuffs_module_title'|@translate}</td>
-  		<td>{'stuffs_desc'|@translate}</td>
- 			<td>{'stuffs_type'|@translate}</td>
- 			<td>{'stuffs_position'|@translate}</td>
- 			<td>{'stuffs_id_ligne'|@translate}</td>
-			<td>{'stuffs_width'|@translate}</td>
- 			<td>{'stuffs_action'|@translate}</td>
-		</tr>
-	</thead>
-
-	{foreach from=$modules item=module}
-	<tr class="{$module.CLASS}" height="28">
-  		<td align="center">{$module.NAME}</td>
-  		<td align="center">{$module.DESC}</td>
-  		<td align="center">{$module.TYPE}</td>
-  		<td align="center"><input type="text" size="2" maxlength="2" value="{$module.POS}" name="position[{$module.ID}]"/></td>
-  		<td align="center">{$module.ID_LINE}</td>
-		<td align="center">{$module.WIDTH}</td>
-  		<td align="center">{$module.ACTION}</td>
-	</tr>
-	{/foreach}
-*}
Index: extensions/PWG_Stuffs/include/class.inc.php
===================================================================
--- extensions/PWG_Stuffs/include/class.inc.php	(revision 7336)
+++ extensions/PWG_Stuffs/include/class.inc.php	(revision 7340)
@@ -73,4 +73,10 @@
       {
     		$this->pos = 'end';
+        if (!empty($module['datas'])
+          and $datas = unserialize($module['datas'])
+          and $datas['hide'])
+        {
+          add_event_handler('loc_end_index', 'remove_main_block');
+        }
     		continue;
     	}
Index: extensions/PWG_Stuffs/include/functions.inc.php
===================================================================
--- extensions/PWG_Stuffs/include/functions.inc.php	(revision 7336)
+++ extensions/PWG_Stuffs/include/functions.inc.php	(revision 7340)
@@ -113,3 +113,18 @@
 }
 
+function remove_main_block()
+{
+  global $page, $template;
+
+  if (isset($page['section']) and $page['section'] == 'categories' and !isset($page['category']))
+  {
+    $template->set_prefilter('index', 'remove_main_block_prefilter');
+  }
+}
+
+function remove_main_block_prefilter($content, $smarty)
+{
+  return preg_replace('#<div id="content" class="content">.*</div> <!-- content -->#s', '', $content);
+}
+
 ?>
Index: extensions/PWG_Stuffs/language/cs_CZ/plugin.lang.php
===================================================================
--- extensions/PWG_Stuffs/language/cs_CZ/plugin.lang.php	(revision 7336)
+++ extensions/PWG_Stuffs/language/cs_CZ/plugin.lang.php	(revision 7340)
@@ -17,4 +17,5 @@
 $lang['stuffs_confirm_delete'] = 'Opravdu chcete odstranit modul %s?';
 $lang['stuffs_main_block'] = 'Hlavní blok';
+/*TODO*/$lang['Hide on home page'] = 'Hide on home page';
 
 $lang['stuffs_add_module'] = 'Přidat nový modul';
Index: extensions/PWG_Stuffs/language/de_DE/plugin.lang.php
===================================================================
--- extensions/PWG_Stuffs/language/de_DE/plugin.lang.php	(revision 7336)
+++ extensions/PWG_Stuffs/language/de_DE/plugin.lang.php	(revision 7340)
@@ -17,4 +17,5 @@
 $lang['stuffs_confirm_delete'] = 'Sind Sie sicher das Modul %s löschen zu wollen?';
 $lang['stuffs_main_block'] = 'Hauptblock';
+/*TODO*/$lang['Hide on home page'] = 'Hide on home page';
 
 $lang['stuffs_add_module'] = 'Neues Modul hinzufügen';
Index: extensions/PWG_Stuffs/language/en_UK/plugin.lang.php
===================================================================
--- extensions/PWG_Stuffs/language/en_UK/plugin.lang.php	(revision 7336)
+++ extensions/PWG_Stuffs/language/en_UK/plugin.lang.php	(revision 7340)
@@ -31,4 +31,5 @@
 $lang['stuffs_show_on_pictures'] = 'On picture pages';
 $lang['stuffs_no_options'] = 'No options for this module';
+$lang['Hide on home page'] = 'Hide on home page';
 
 //Messages d'infos
Index: extensions/PWG_Stuffs/language/es_ES/plugin.lang.php
===================================================================
--- extensions/PWG_Stuffs/language/es_ES/plugin.lang.php	(revision 7336)
+++ extensions/PWG_Stuffs/language/es_ES/plugin.lang.php	(revision 7340)
@@ -17,4 +17,5 @@
 $lang['stuffs_confirm_delete'] = 'Es usted seguro de querer suprimir el módulo %s?';
 $lang['stuffs_main_block'] = 'Bloque principal';
+/*TODO*/$lang['Hide on home page'] = 'Hide on home page';
 
 $lang['stuffs_add_module'] = 'Añadir un nuevo módulo';
Index: extensions/PWG_Stuffs/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/PWG_Stuffs/language/fr_FR/plugin.lang.php	(revision 7336)
+++ extensions/PWG_Stuffs/language/fr_FR/plugin.lang.php	(revision 7340)
@@ -17,4 +17,5 @@
 $lang['stuffs_confirm_delete'] = 'Etes-vous sur de vouloir supprimer le module %s?';
 $lang['stuffs_main_block'] = 'Bloc principal';
+$lang['Hide on home page'] = 'Masquer sur la page d\'accueil';
 
 $lang['stuffs_add_module'] = 'Ajout d\'un nouveau module';
Index: extensions/PWG_Stuffs/language/hr_HR/plugin.lang.php
===================================================================
--- extensions/PWG_Stuffs/language/hr_HR/plugin.lang.php	(revision 7336)
+++ extensions/PWG_Stuffs/language/hr_HR/plugin.lang.php	(revision 7340)
@@ -17,4 +17,5 @@
 $lang['stuffs_confirm_delete'] = 'Jeste li sigurni da želite obrisati modul %s?';
 $lang['stuffs_main_block'] = 'Glavni blok';
+/*TODO*/$lang['Hide on home page'] = 'Hide on home page';
 
 $lang['stuffs_add_module'] = 'Dodaj novi modul';
Index: extensions/PWG_Stuffs/language/hu_HU/plugin.lang.php
===================================================================
--- extensions/PWG_Stuffs/language/hu_HU/plugin.lang.php	(revision 7336)
+++ extensions/PWG_Stuffs/language/hu_HU/plugin.lang.php	(revision 7340)
@@ -17,4 +17,5 @@
 $lang['stuffs_confirm_delete'] = 'Biztos, hogy törölni akarja ezt a modult: %s?';
 $lang['stuffs_main_block'] = 'Fő blokk';
+/*TODO*/$lang['Hide on home page'] = 'Hide on home page';
 
 $lang['stuffs_add_module'] = 'Új modul hozzáadva';
Index: extensions/PWG_Stuffs/language/it_IT/plugin.lang.php
===================================================================
--- extensions/PWG_Stuffs/language/it_IT/plugin.lang.php	(revision 7336)
+++ extensions/PWG_Stuffs/language/it_IT/plugin.lang.php	(revision 7340)
@@ -17,4 +17,5 @@
 $lang['stuffs_confirm_delete'] = 'Siete sicuri di volere cancellare il modulo %s?';
 $lang['stuffs_main_block'] = 'Blocco principale';
+/*TODO*/$lang['Hide on home page'] = 'Hide on home page';
 
 $lang['stuffs_add_module'] = 'Aggiungere nuovo modulo';
Index: extensions/PWG_Stuffs/language/ja_JP/plugin.lang.php
===================================================================
--- extensions/PWG_Stuffs/language/ja_JP/plugin.lang.php	(revision 7336)
+++ extensions/PWG_Stuffs/language/ja_JP/plugin.lang.php	(revision 7340)
@@ -17,4 +17,5 @@
 $lang['stuffs_confirm_delete'] = '本当にこのモジュール %s を削除してもよろしいですか?';
 $lang['stuffs_main_block'] = 'メインブロック';
+/*TODO*/$lang['Hide on home page'] = 'Hide on home page';
 
 $lang['stuffs_add_module'] = '新しいモジュールを追加する';
Index: extensions/PWG_Stuffs/language/ru_RU/plugin.lang.php
===================================================================
--- extensions/PWG_Stuffs/language/ru_RU/plugin.lang.php	(revision 7336)
+++ extensions/PWG_Stuffs/language/ru_RU/plugin.lang.php	(revision 7340)
@@ -17,4 +17,5 @@
 $lang['stuffs_confirm_delete'] = 'Вы уверены, что хотите удалить модуль %s?';
 $lang['stuffs_main_block'] = 'Основной блок';
+/*TODO*/$lang['Hide on home page'] = 'Hide on home page';
 
 $lang['stuffs_add_module'] = 'Добавление нового модуля';
Index: extensions/PWG_Stuffs/language/sk_SK/plugin.lang.php
===================================================================
--- extensions/PWG_Stuffs/language/sk_SK/plugin.lang.php	(revision 7336)
+++ extensions/PWG_Stuffs/language/sk_SK/plugin.lang.php	(revision 7340)
@@ -17,4 +17,5 @@
 $lang['stuffs_confirm_delete'] = 'Ste si istý, že chcete vymazať modul %s?';
 $lang['stuffs_main_block'] = 'Hlavná skupina';
+/*TODO*/$lang['Hide on home page'] = 'Hide on home page';
 
 $lang['stuffs_add_module'] = 'Pridaj nový modul';