Index: branches/2.1/language/sr_RS/common.lang.php
===================================================================
--- branches/2.1/language/sr_RS/common.lang.php	(revision 7248)
+++ branches/2.1/language/sr_RS/common.lang.php	(revision 7341)
@@ -23,5 +23,4 @@
 
 // Langage informations
-// Langage informations
 $lang_info['language_name'] = 'Српски';
 $lang_info['country'] = 'Србија';
@@ -42,6 +41,6 @@
 $lang['%d hit'] = '%d посета';
 $lang['%d hits'] = '%d посета';
-$lang['%d new image'] = '%d нова слика';
-$lang['%d new images'] = '%d нове слике';
+$lang['%d new image'] = 'број нових слика: %d';
+$lang['%d new images'] = 'нове слике - %d';
 $lang['%d new user'] = '%d нови корисник';
 $lang['%d new users'] = '%d нови корисници';
@@ -49,8 +48,8 @@
 $lang['%d waiting elements'] = '%d ставке на чекању';
 $lang['About'] = 'O...';
-$lang['All tags'] = 'Сви тагови';
-$lang['Any tag'] = 'Било који таг';
+$lang['All tags'] = 'Све ознаке';
+$lang['Any tag'] = 'Било која ознака';
 $lang['At least one listed rule must be satisfied.'] = 'Најмање једно од наведених правила мора бити задовољено.';
-$lang['At least one tag must match'] = 'Најмање један таг се мора поклапати';
+$lang['At least one tag must match'] = 'Најмање једна ознака се мора поклапати';
 $lang['Author'] = 'Аутор';
 $lang['Average rate'] = 'Просечна оцена';
@@ -64,5 +63,5 @@
 $lang['Contact webmaster'] = 'Пишите wебмастер-у';
 $lang['Create a new account'] = 'Направи нови налог';
-$lang['Created on'] = 'Направљен на';
+$lang['Created on'] = 'Датум израде:';
 $lang['Creation date'] = 'Датум израде';
 $lang['Current password is wrong'] = 'Тренутна лозинка је неисправна';
@@ -98,6 +97,6 @@
 $lang['Password forgotten'] = 'Заборављена лозинка';
 $lang['Password'] = 'Лозинка';
-$lang['Post date'] = 'Датум објаве';
-$lang['Posted on'] = 'Објављено у';
+$lang['Post date'] = 'Датум објаве:';
+$lang['Posted on'] = 'Датум објављивања';
 $lang['Profile'] = 'Профил';
 $lang['Quick connect'] = 'Брза веза';
@@ -106,11 +105,11 @@
 $lang['Register'] = 'Упишите се';
 $lang['Registration'] = 'Регистрација';
-$lang['Related tags'] = 'Повезани тагови';
+$lang['Related tags'] = 'Повезане ознаке';
 $lang['Reset'] = 'Поништи';
 $lang['Retrieve password'] = 'Врати лозинку';
 $lang['Search rules'] = 'Правила претраге';
-$lang['Search tags'] = 'Тагови претраге';
+$lang['Search tags'] = 'Ознаке претраге';
 $lang['Search'] = 'Претраживање';
-$lang['See available tags'] = 'Погледај доступне тагове';
+$lang['See available tags'] = 'Погледај доступне ознаке';
 $lang['Send new password'] = 'Пошаљи нову лозинку';
 $lang['Since'] = 'Од';
@@ -118,5 +117,5 @@
 $lang['Sort order'] = 'Редослед слагања';
 $lang['Tag'] = 'Ознака';
-$lang['Tags'] = 'Тагови';
+$lang['Tags'] = 'Ознаке';
 $lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'RSS обавијесни извор омогућава обавештавање о новостима са овог wеб места : нове слике, обновљене категорије, нове коментаре. Користите читач RSS iзвора.';
 $lang['Unknown feed identifier'] = 'Непозната ознака извора';
@@ -199,5 +198,5 @@
 $lang['in this category'] = 'у овој категорији';
 $lang['in %d sub-category'] = 'у %d подкатегорији';
-$lang['in %d sub-categories'] = 'у %d подкатегоријама';
+$lang['in %d sub-categories'] = 'у %d подкатегорија';
 $lang['included'] = 'укључено';
 $lang['Invalid password!'] = 'Погрешна лозинка!';
@@ -264,5 +263,5 @@
 $lang['please enter your password again'] = 'молимо унесите лозинку поново';
 $lang['Auto login'] = 'Упамти ме';
-$lang['remove this tag from the list'] = 'уклони  овај таг из пописа';
+$lang['remove this tag from the list'] = 'уклони  ову ознаку из пописа';
 $lang['representative'] = 'представник';
 $lang['return to homepage'] = 'повратак на почетну';
@@ -335,5 +334,5 @@
 $lang['a user use already this mail address'] = 'корисник већ користи ову адресу електронске поште';
 $lang['Category results for'] = 'Резултати категорије за ';
-$lang['Tag results for'] = 'Резултати тагова за';
+$lang['Tag results for'] = 'Резултати ознака за';
 $lang['from %s to %s'] = 'од %s до %s';
 $lang['Play of slideshow'] = 'Покрени клизни приказ';
@@ -346,9 +345,9 @@
 $lang['Yes'] = 'Да';
 $lang['No'] = 'Не';
-$lang['%d image']='%d слика';
+$lang['%d image']='слика %d';
 $lang['%d images']='%d слике';
-$lang['%d image is also linked to current tags'] = '%d слика такође повезана са тренутним таговима';
-$lang['%d images are also linked to current tags'] = '%d слике такође повезана са тренутним таговима';
-$lang['See images linked to this tag only'] = 'Прегледај слике повезане само са овим таг-ом';
+$lang['%d image is also linked to current tags'] = '%d слика такође повезана са тренутним ознакама';
+$lang['%d images are also linked to current tags'] = '%d слике такође повезана са тренутним ознакама';
+$lang['See images linked to this tag only'] = 'Прегледај слике повезане само са овом ознаком';
 $lang['images posted during the last %d days'] = 'слике објављене током задњих %d дана';
 $lang['Choose an image'] = 'Одаберите слику';
@@ -357,5 +356,5 @@
 $lang['group by letters'] = 'сложено по словима';
 $lang['letters'] = 'слова';
-$lang['show tag cloud'] = 'прикажи таг облак';
+$lang['show tag cloud'] = 'прикажи означен облак';
 $lang['cloud'] = 'облак';
 $lang['Reset to default values'] = 'Врати на подразумеване вредности';