Index: /extensions/rv_db_integrity/check_db.php
===================================================================
--- /extensions/rv_db_integrity/check_db.php	(revision 7341)
+++ /extensions/rv_db_integrity/check_db.php	(revision 7342)
@@ -1,4 +1,6 @@
 <?php
 defined('PHPWG_ROOT_PATH') or trigger_error('Hacking attempt!', E_USER_ERROR);
+
+load_language('plugin.lang', RVDI_PATH);
 
 function check_table_ref($t, $f, $reft, $reff)
@@ -88,5 +90,5 @@
 $tpl_var = array(
 		'ID' => 'permalinks',
-		'LABEL' => 'Pemalinks',
+		'LABEL' => l10n('Pemalinks'),
 		'CHECKED' => isset($_POST['permalinks']) ? 'checked="checked"' : $default_checked,
 		'COUNT' => 1,
@@ -110,5 +112,5 @@
 $tpl_var = array(
 		'ID' => 'id_storage_category_id',
-		'LABEL' => '#images(id,storage_category_id) in #image_category',
+		'LABEL' => l10n('#images(id,storage_category_id) in #image_category'),
 		'CHECKED' => isset($_POST['id_storage_category_id']) ? 'checked="checked"' : $default_checked,
 		'COUNT' => 1,
@@ -134,5 +136,5 @@
 $tpl_var = array(
 		'ID' => 'uploadable_virtual_cats',
-		'LABEL' => 'Uploadable virtual cats',
+		'LABEL' => l10n('Uploadable virtual cats'),
 		'CHECKED' => isset($_POST['uploadable_virtual_cats']) ? 'checked="checked"' : $default_checked,
 		'COUNT' => 1,
Index: /extensions/rv_db_integrity/check_db.tpl
===================================================================
--- /extensions/rv_db_integrity/check_db.tpl	(revision 7341)
+++ /extensions/rv_db_integrity/check_db.tpl	(revision 7342)
@@ -8,6 +8,6 @@
 <table class="table2">
 	<tr class="throw">
-		<td>Test</td>
-		<td>Result</td>
+		<td>{'Test'|@translate}</td>
+		<td>{'Result'|@translate}</td>
 	</tr>
 {foreach from=$reference_tests item=reference_test}
@@ -22,5 +22,5 @@
 			<span style="color:white;background-color:red">{$reference_test.result} FAILED</span>
 		{else}
-			Passed
+			{'Passed'|@translate}
 		{/if}
 		{/if}
Index: /extensions/rv_db_integrity/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/rv_db_integrity/language/en_UK/plugin.lang.php	(revision 7342)
+++ /extensions/rv_db_integrity/language/en_UK/plugin.lang.php	(revision 7342)
@@ -0,0 +1,15 @@
+<?php
+
+//main
+$lang['Check database integrity'] = 'Check database integrity';
+
+//chesk_db
+$lang['Test'] = 'Test';
+$lang['Result'] = 'Result';
+$lang['Passed'] = 'Passed';
+
+$lang['Pemalinks'] ='Pemalinks';
+$lang['Uploadable virtual cats'] = 'Uploadable virtual cats';
+$lang['#images(id,storage_category_id) in #image_category'] = '#images(id,storage_category_id) dans #image_category';
+
+?>
Index: /extensions/rv_db_integrity/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/rv_db_integrity/language/fr_FR/plugin.lang.php	(revision 7342)
+++ /extensions/rv_db_integrity/language/fr_FR/plugin.lang.php	(revision 7342)
@@ -0,0 +1,15 @@
+<?php
+
+//main
+$lang['Check database integrity'] = 'Vérifier l\'intégrité des données';
+
+//chesk_db
+$lang['Test'] = 'Test';
+$lang['Result'] = 'Resultat';
+$lang['Passed'] = 'Passés';
+
+$lang['Pemalinks'] ='Liens permanents';
+$lang['Uploadable virtual cats'] = 'catégories virtuelles autorisées à l\'ajout utilisateur';
+$lang['#images(id,storage_category_id) in #image_category'] = '#images(id,storage_category_id) dans #image_category';
+
+?>
Index: /extensions/rv_db_integrity/main.inc.php
===================================================================
--- /extensions/rv_db_integrity/main.inc.php	(revision 7341)
+++ /extensions/rv_db_integrity/main.inc.php	(revision 7342)
@@ -1,5 +1,5 @@
 <?php /*
 Plugin Name: RV DB Integrity
-Version: 2.0.b
+Version: 2.1.a
 Description: Checks database integrity. After install go to Administration /Tools/Maintenance: "Check database integrity".
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=179
@@ -8,12 +8,17 @@
 */
 
+define('RVDI_DIR' , basename(dirname(__FILE__)));
+define('RVDI_PATH' , PHPWG_PLUGINS_PATH . RVDI_DIR . '/');
+
+
 add_event_handler('get_admin_advanced_features_links', 'rvint_get_admin_advanced_features_links');
 
 function rvint_get_admin_advanced_features_links($advanced_features)
 {
+  load_language('plugin.lang', RVDI_PATH);
   array_push($advanced_features,
     array
     (
-      'CAPTION' => 'Check database integrity',
+      'CAPTION' => l10n('Check database integrity'),
       'URL' => get_admin_plugin_menu_link(dirname(__FILE__).'/check_db.php')
     ));