Index: /extensions/PWG_Stuffs/language/lv_LV/description.txt
===================================================================
--- /extensions/PWG_Stuffs/language/lv_LV/description.txt	(revision 7344)
+++ /extensions/PWG_Stuffs/language/lv_LV/description.txt	(revision 7344)
@@ -0,0 +1,1 @@
+Pievieno moduļus Jūsu galerijai
Index: /extensions/PWG_Stuffs/language/lv_LV/index.php
===================================================================
--- /extensions/PWG_Stuffs/language/lv_LV/index.php	(revision 7344)
+++ /extensions/PWG_Stuffs/language/lv_LV/index.php	(revision 7344)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PWG_Stuffs/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/PWG_Stuffs/language/lv_LV/plugin.lang.php	(revision 7344)
+++ /extensions/PWG_Stuffs/language/lv_LV/plugin.lang.php	(revision 7344)
@@ -0,0 +1,163 @@
+<?php
+
+$lang['stuffs_mods_management'] = 'Moduļu pārvaldīšana';
+$lang['stuffs_add_mod'] = 'Pievienot moduli';
+$lang['stuffs_edit_mod'] = 'Rediģēt moduli';
+
+$lang['stuffs_module_title'] = 'Moduļa nosaukums';
+$lang['stuffs_desc'] = 'Apraksts';
+$lang['stuffs_only_for_admin'] = '(tikai administratora panelim)';
+$lang['stuffs_type'] = 'Moduļa tips';
+$lang['stuffs_position'] = 'Pozīcija';
+$lang['stuffs_id_ligne'] = 'ID rinda';
+$lang['stuffs_width'] = 'Platums';
+$lang['stuffs_action'] = 'Darbības';
+$lang['stuffs_edit'] = 'Modificēt moduli';
+$lang['stuffs_delete'] = 'Dzēst moduli';
+$lang['stuffs_confirm_delete'] = 'Vai esat pārliecināts, ka gribat izdzēst moduli %s?';
+$lang['stuffs_main_block'] = 'Galvenais bloks';
+
+$lang['stuffs_add_module'] = 'Pievienot jaunu moduli';
+$lang['stuffs_module_config'] = 'Moduļa konfigurācija';
+$lang['stuffs_visual_config'] = 'Displeja konfigurācija';
+$lang['stuffs_module_options'] = 'Moduļa iespējas';
+$lang['stuffs_authorized_group'] = 'Autorizētas grupas';
+$lang['stuffs_authorized_users'] = 'Autorizēti lietotāji';
+$lang['stuffs_public_module'] = '(Atstāt tukšu kopējam modulim)';
+$lang['stuffs_show_title'] = 'Rādīt moduļa nosaukumu';
+$lang['stuffs_show_module_on'] = 'Rādīt moduli:';
+$lang['stuffs_show_on_home'] = 'Galvenajā lapā';
+$lang['stuffs_show_on_cats'] = 'Visu kategoriju lapās';
+$lang['stuffs_show_on_pictures'] = 'Attēlu lapās';
+$lang['stuffs_no_options'] = 'Šim modulim nav citu iespēju';
+
+//Informatīvie paziņojumi
+$lang['stuffs_order_saved'] = 'Kārtība sekmīgi saglabāta.';
+
+
+// Kļūdu paziņojumi
+$lang['stuffs_error_no_mod_selected'] = 'Jūs neesat izvēlējies nevienu moduli.';
+$lang['stuffs_no_name'] = 'Jums jāizvēlas moduļa vārds';
+
+//------------------------------------------------------------------------------
+//                            Jaunāko komentāru modulis
+//------------------------------------------------------------------------------
+
+$lang['module_name_lastcoms'] = 'Jaunākie komentāri';
+$lang['module_desc_lastcoms'] = 'Parādīt jaunākos atsūtītos komentārus';
+
+$lang['lastcoms_no_nb_comments'] = 'Jums jāizvēlas komentāru skaits.';
+$lang['lastcoms_config'] = 'Konfigurācija';
+$lang['lastcoms_nb_comments'] = 'Parādāmo komentāru skaits';
+$lang['lastcoms_show_buttons'] = 'Rādīt administratora pogas';
+$lang['lastcoms_dim'] = 'Sīkbildes izmērs';
+$lang['lastcoms_width'] = 'Max platums';
+$lang['lastcoms_height'] = 'Max augstums';
+$lang['lastcoms_nb_cadres'] = 'Attēla rāmju skaits rindā';
+$lang['lastcoms_taille_cadres'] = 'Rāmja augstums';
+
+
+//------------------------------------------------------------------------------
+//                            Ielogošanās modulis
+//------------------------------------------------------------------------------
+
+$lang['module_name_logon'] = 'Logins';
+$lang['module_desc_logon'] = 'Rādīt ielogošanās bloku';
+
+$lang['logon_remove_menubar_block'] = 'Izņemt "Ātrais savienojums" bloku no izvēlnes';
+
+
+//------------------------------------------------------------------------------
+//                               Personāla Modulis
+//------------------------------------------------------------------------------
+
+$lang['module_name_personal'] = 'Personālais bloks';
+$lang['module_desc_personal'] = 'Rādīt personālo bloku (kā edito)';
+
+$lang['personal_content'] = 'saturs';
+
+
+//------------------------------------------------------------------------------
+//                            Modulis Iezīmes
+//------------------------------------------------------------------------------
+
+$lang['module_name_tags'] = 'Iezīmes';
+$lang['module_desc_tags'] = 'Rādīt galerijas iezīmes';
+
+$lang['stuffs_tags_default_display'] = 'Iezīmes atainojums';
+$lang['stuffs_tags_cloud'] = 'Iezīmes aizsegs';
+$lang['stuffs_tags_letters'] = 'Burtu grupa';
+$lang['stuffs_tags_cumulus'] = ' Lietot ~cumulus~ režīmu (spraudnis <a
+href=http://piwigo.org/ext/extension_view.php?eid=263
+target="_blank">Cumulus Aizsega Iezīmei </a> jābūt instalētai)';
+
+
+//------------------------------------------------------------------------------
+//                             Piclenswall Modulis
+//------------------------------------------------------------------------------
+
+$lang['module_name_piclenswall'] = 'Piclens 3DSiena';
+$lang['module_desc_piclenswall'] = 'Rādīt piclens 3D sienu (spraudnis <a href="http://piwigo.org/ext/extension_view.php?eid=234" target="_blank">Cooliris/piclens</a> jābūt instalētam)';
+
+$lang['piclenswall_height'] = 'Sienas augstums';
+$lang['piclenswall_background_color'] = 'Fona krāsa';
+$lang['piclenswall_black'] = 'Melns';
+$lang['piclenswall_white'] = 'Balts';
+$lang['piclenswall_info'] = 'Tā, lai mūris darbojas pareizi';
+$lang['piclenswall_info_piclens'] = 'Jums jāinstalē un jāaktivē <a href="http://piwigo.org/ext/extension_view.php?eid=234">Cooliris/piclens</a> spraudnis.';
+$lang['piclenswall_info_crossdomain'] = 'Jums jāiekopē <a href="%s">crossdomain.xml</a> fails Jūsu web lapas pamatmapē ( vai jāmodificē esošais fails).';
+$lang['piclenswall_info_param'] = '3D Sienas Iestatījumi jāmodificē <b>Cooliris-piclens/b> iezīmes konfigurācijas lapā.';
+
+//------------------------------------------------------------------------------
+//                            Modulis Visvairāk Apmeklēts
+//------------------------------------------------------------------------------
+
+$lang['module_name_mostvisited'] = 'Visvairāk apmeklēts';
+$lang['module_desc_mostvisited'] = 'Parādīt x visvairāk apmeklētos attēlus galerijā vai kategorijā';
+$lang['stuffs_mv_nb_images'] = 'Parādāmo attēlu maksimālais skaits';
+$lang['stuffs_mv_category_display'] = 'Rādīt kategoriju lapās';
+$lang['stuffs_mv_all_cats'] = ' Visas kategorijas';
+$lang['stuffs_mv_w_thumb'] = 'Tikai kategorijas ar piktogrammām';
+$lang['stuffs_mv_wo_thumb'] = 'Tikai kategorijas bez piktogrammām';
+$lang['stuffs_mv_selected_cats'] = 'Tikai izvēlētās kategorijas';
+$lang['stuffs_mv_cat_selection'] = 'Categories selection';
+$lang['stuffs_mv_hold_ctrl'] = 'hold CTRL';
+
+//------------------------------------------------------------------------------
+//                            Modulis  Visaugstāk novērtēts
+//------------------------------------------------------------------------------
+
+$lang['module_name_bestrated'] = 'Visaugstāk novērtēts';
+$lang['module_desc_bestrated'] = 'Rādīt x visaugstāk novērtētos attēlus galerijā vai kategorijā';
+
+//------------------------------------------------------------------------------
+//                            Modulis  Jaunākais
+//------------------------------------------------------------------------------
+
+$lang['module_name_recent'] = 'Jaunākie attēli';
+$lang['module_desc_recent'] = 'Rādīt x jaunākos attēlus galerijā vai kategorijā (ja ir)';
+
+//------------------------------------------------------------------------------
+//                            Modulis Gadījuma
+//------------------------------------------------------------------------------
+
+$lang['module_name_random'] = 'Gadījuma attēli';
+$lang['module_desc_random'] = 'Rādīt x gadījuma attējus galerijā vai kategorijā';
+
+//------------------------------------------------------------------------------
+//                            Modulis Atsauce
+//------------------------------------------------------------------------------
+
+$lang['module_name_citation'] = 'Gadījuma citāts';
+$lang['module_desc_citation'] = 'Rādīt gadījuma citātu';
+$lang['module_Citation_lang'] = 'Valoda';
+$lang['module_Citation_code'] = 'Saistītais kods';
+
+//------------------------------------------------------------------------------
+//                            Module Raksturīgie attēli
+//------------------------------------------------------------------------------
+
+$lang['module_name_featuredphotos'] = 'Raksturīgie attēli';
+$lang['module_desc_featuredphotos'] = 'Rādīt webmāstera mīļākos attēlus';
+
+?>